#
# spec file for package yast2 (Version 2.4.108)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libycp libycp-devel ycpdoc ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ycpdoc ydoc

Name:         yast2
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Requires:     saxtools yast2-base
Requires:	yast2-agent-any yast2-agent-fdisk yast2-agent-probe
Requires:	yast2-agent-modules yast2-agent-isax yast2-agent-rcconfig
Requires:	yast2-agent-system yast2-core-pkginfo yast2-lib-wizard
Requires:	ash
Requires:	yast2-db-keyboard yast2-db-mouse yast2-db-timezone yast2-db-groups
Requires:	yast2-trans-inst-bootloader
Requires:	yast2-trans-inst-environment
Requires:	yast2-trans-inst-general
Requires:	yast2-trans-inst-language
Requires:	yast2-trans-inst-packages
Requires:	yast2-trans-inst-partitioning
Requires:	yast2-trans-inst-update
Requires:	yast2-trans-inst-user
Requires:	yast2-trans-inst-x11
Requires:	yast2-lib-sequencer 
Summary:      YaST2 - installation scripts and documentation
Version:      2.4.108
Release:      3
Source0:      yast2-2.4.108.tar.bz2

%description
This package contains scripts and data needed for SuSE Linux
installation with YaST2

Authors:
--------
    Michael Andres <ma@suse.de> 
    Waldo Bastian <bastian@suse.de> 
    Michael Hager <mike@suse.de> 
    Stefan Hundhammer <sh@suse.de> 
    Klaus Kaempf <kkaempf@suse.de> 
    Mathias Kettner <kettner@suse.de> 
    Thomas Roelz <tom@suse.de> 
    Arvin Schnell <arvin@suse.de> 
    Stefan Schubert <schubi@suse.de> 
    Andreas Schwab <schwab@suse.de> 
    Steffen Winterfeldt <snwint@suse.de>

SuSE series: yast

%package instsys
Requires:	yast2-base yast2-agent-any yast2-agent-fdisk yast2-agent-probe
Requires:	yast2-agent-modules yast2-agent-system yast2-core-pkginfo yast2-ui-qt
Requires:	yast2-core-scr yast2-agent-rcconfig
Requires:	yast2-core-clients
Requires:	yast2-ui-ncurses yast2-lib-wizard
Requires:	yast2-db-keyboard yast2-db-mouse yast2-db-timezone yast2-db-groups
Requires:	yast2-trans-inst-bootloader yast2-trans-inst-environment
Requires:	yast2-trans-inst-general yast2-trans-inst-language
Requires:	yast2-trans-inst-mouse yast2-trans-inst-packages
Requires:	yast2-trans-inst-partitioning yast2-trans-inst-update
Requires:	yast2-trans-inst-user yast2-trans-wizard
Requires:	yast2-lib-sequencer
Version:      2.4.108
Release:      3
Summary:      yast2 for instsys (SuSE internal).
Group:		SuSE internal

%description instsys
This is a stripped-down version of "yast2" and only contains files
needed for initial booting.

SuSE series: suse

%prep
%setup -n yast2-2.4.108

%build
./configure
parseycp -q -R
make

%install
make install
install -d -m 700 /var/lib/YaST2

%files
%dir /var/lib/YaST2
/usr/lib/YaST2/*.ycp
%dir /usr/lib/YaST2/clients
/usr/lib/YaST2/clients/inst*.ycp
/usr/lib/YaST2/clients/password.ycp
/usr/lib/YaST2/clients/vendor.ycp
/usr/lib/YaST2/clients/menu.ycp
%dir /usr/lib/YaST2/modules
/usr/lib/YaST2/modules/*.ycp
%dir /usr/lib/YaST2/include
/usr/lib/YaST2/include/*.ycp
/usr/lib/YaST2/include/partitioning/*.ycp
/usr/lib/YaST2/include/x11/*.ycp
/usr/lib/YaST2/include/ui/*.ycp
%dir /usr/lib/YaST2/images
/usr/lib/YaST2/images/*.png
%dir /usr/lib/YaST2/menuentries
/usr/lib/YaST2/menuentries/*.ycp
/usr/lib/YaST2/etc/y2controlcentericons.ycp
%ifarch ppc
/usr/lib/YaST2/ppc_postinstall.sh
%endif
/usr/lib/YaST2/bin/create_update_inf
/usr/lib/YaST2/bin/update_xf86config
/usr/lib/YaST2/bin/update_unique_keys.pl
/usr/lib/YaST2/bin/check.boot
/usr/lib/YaST2/bin/WinINF.pm
/usr/lib/YaST2/bin/pars-inf.pl
/usr/lib/YaST2/bin/y2merge.pl
/usr/lib/YaST2/bin/y2xfinetune
/usr/lib/YaST2/bin/y2xr.pl
/usr/lib/YaST2/bin/y2accel.pl
/usr/lib/YaST2/bin/y2xfinetune40
/usr/lib/YaST2/bin/y2xr40.pl
/usr/lib/YaST2/bin/y2accel40.pl
/usr/lib/YaST2/bin/YaST2*
/usr/lib/YaST2/bin/yast2_kde
/usr/lib/YaST2/bin/patch_lilo_conf
%ifarch sparc sparc64
/usr/lib/YaST2/bin/dosilo
%endif
%ifarch ia64
/usr/lib/YaST2/bin/doelilo
%endif
%ifarch alpha
/usr/lib/YaST2/bin/doaboot
/usr/lib/YaST2/bin/domilo
%endif
%ifarch i386
/usr/lib/YaST2/bin/mk_boot_floppy
/usr/lib/YaST2/bin/mk_lilo_conf
/usr/lib/YaST2/bin/update_lilo_conf
/usr/lib/YaST2/bin/dolilo
%endif
%doc /usr/share/doc/packages/yast2
/sbin/yast2
/sbin/zast2
/sbin/YaST2
/sbin/ZaST2
/sbin/zast
/sbin/ZaST
/sbin/yast
/sbin/YaST
# ----------------- i n s t s y s ----------------------

%files instsys
%dir /var/lib/YaST2
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/images
/usr/lib/YaST2/clients/inst_add_pkg_toinstall.ycp
/usr/lib/YaST2/clients/inst_architecture.ycp
/usr/lib/YaST2/clients/inst_ask_config.ycp
/usr/lib/YaST2/clients/inst_ask_hd.ycp
/usr/lib/YaST2/clients/inst_autoinf.ycp
/usr/lib/YaST2/clients/inst_confirm_abort.ycp
/usr/lib/YaST2/clients/inst_custom_part.ycp
/usr/lib/YaST2/clients/inst_do_resize.ycp
/usr/lib/YaST2/clients/inst_doit.ycp
/usr/lib/YaST2/clients/inst_disk.ycp
/usr/lib/YaST2/clients/inst_environment.ycp
/usr/lib/YaST2/clients/inst_finish.ycp
/usr/lib/YaST2/clients/inst_finish_update.ycp
/usr/lib/YaST2/clients/inst_kernel.ycp
/usr/lib/YaST2/clients/inst_language.ycp
/usr/lib/YaST2/clients/inst_mode.ycp
/usr/lib/YaST2/clients/inst_modehint.ycp
/usr/lib/YaST2/clients/inst_mouse.ycp
/usr/lib/YaST2/clients/inst_part_proposal.ycp
/usr/lib/YaST2/clients/inst_pkg_toinstall.ycp
/usr/lib/YaST2/clients/inst_prepdisk.ycp
/usr/lib/YaST2/clients/inst_resize_ui.ycp
/usr/lib/YaST2/clients/inst_root.ycp
/usr/lib/YaST2/clients/inst_rootpart.ycp
/usr/lib/YaST2/clients/inst_rpmcopy.ycp
/usr/lib/YaST2/clients/inst_rpmupdate.ycp
/usr/lib/YaST2/clients/inst_s390net.ycp
/usr/lib/YaST2/clients/inst_s390netadopt.ycp
/usr/lib/YaST2/clients/inst_s390silo.ycp
/usr/lib/YaST2/clients/inst_save2ldap.ycp
%ifarch sparc sparc64
/usr/lib/YaST2/clients/inst_silo_expert.ycp
/usr/lib/YaST2/clients/inst_silo_info.ycp
%else
/usr/lib/YaST2/clients/inst_lilo_expert.ycp
/usr/lib/YaST2/clients/inst_lilo_info.ycp
%endif
/usr/lib/YaST2/clients/inst_writelilo.ycp
/usr/lib/YaST2/clients/inst_source.ycp
/usr/lib/YaST2/clients/inst_startup.ycp
/usr/lib/YaST2/clients/inst_sw_backup.ycp
/usr/lib/YaST2/clients/inst_sw_details.ycp
/usr/lib/YaST2/clients/inst_sw_select.ycp
/usr/lib/YaST2/clients/inst_sw_single.ycp
/usr/lib/YaST2/clients/inst_sw_update.ycp
/usr/lib/YaST2/clients/inst_target_part.ycp
/usr/lib/YaST2/clients/inst_target_selection.ycp
/usr/lib/YaST2/clients/inst_template.ycp
/usr/lib/YaST2/clients/inst_transl_hd.ycp
/usr/lib/YaST2/clients/inst_update.ycp
/usr/lib/YaST2/clients/inst_updateControl.ycp
/usr/lib/YaST2/clients/inst_upgrade.ycp
/usr/lib/YaST2/clients/inst_user.ycp
/usr/lib/YaST2/clients/inst_lvm_lv.ycp
/usr/lib/YaST2/clients/inst_lvm_pv.ycp
/usr/lib/YaST2/clients/installation.ycp
/usr/lib/YaST2/clients/password.ycp
%dir /usr/lib/YaST2/modules
/usr/lib/YaST2/modules/*.ycp
%dir /usr/lib/YaST2/include
/usr/lib/YaST2/include/*.ycp
/usr/lib/YaST2/include/partitioning/*.ycp
/usr/lib/YaST2/include/ui/*.ycp
/usr/lib/YaST2/include/x11/set_x_mouse.ycp
/usr/lib/YaST2/include/x11/pacs_and_server.ycp
/usr/lib/YaST2/include/x11/probe_settings.ycp
/usr/lib/YaST2/images/stage1.png
/usr/lib/YaST2/images/stage2.png
/usr/lib/YaST2/images/stage3.png
/usr/lib/YaST2/images/stage4.png
/usr/lib/YaST2/images/stage5.png
/usr/lib/YaST2/images/stage6.png
/usr/lib/YaST2/images/start-tux.png
/usr/lib/YaST2/*.ycp
/usr/lib/YaST2/bin/ask_for_TERM_variable
/usr/lib/YaST2/bin/create_update_inf
/usr/lib/YaST2/bin/update_unique_keys.pl
/usr/lib/YaST2/bin/update_xf86config
/usr/lib/YaST2/bin/check.boot
/usr/lib/YaST2/bin/YaST2
/usr/lib/YaST2/bin/YaST2.start

%changelog -n yast2
* Thu Sep 27 2001 - kkaempf@suse.de
- drop 3-button emulation since it might interfere with X11
  button events (#11204).
* Wed Sep 26 2001 - kendy@suse.cz
- update_unique_keys.pl: call hwinfo with --all instead of --reallyall
  (#11340).
* Wed Sep 26 2001 - kkaempf@suse.de
- vendor.ycp: message is string, not locale.
* Tue Sep 25 2001 - kkaempf@suse.de
- re-probe for mountable media (floppies) after loading
  of usb-storage (#11299).
* Tue Sep 25 2001 - kkaempf@suse.de
- make proper re-use of messages in inst_finish_update to get
  correct translations.
- prepare a mtab for mk_initrd after update.
- if first bios drive isn't hda, lilo probably wants to know about this.
* Mon Sep 24 2001 - snwint@suse.de
- do not try to install lilo into a raid partition (#10329)
* Mon Sep 24 2001 - sh@suse.de
- Added final "all the rest" step for SuSEconfig
* Mon Sep 24 2001 - lnussel@suse.de
- do not mount ntfs partitions automatically during installation (#11222)
* Mon Sep 24 2001 - kkaempf@suse.de
- If the mouse was choosen manually, going back must present
  mouse selection again (#11235).
- No need to make a backup of /etc/fstab in inst-sys, there's none anyway.
  Then inst_finish_update gets the correct fstab (#11215).
* Mon Sep 24 2001 - kkaempf@suse.de
- update NVIDIA kernel modules regardless of version (#11091).
* Mon Sep 24 2001 - kkaempf@suse.de
- set console keyboard even when called standalone (#11223).
* Mon Sep 24 2001 - kkaempf@suse.de
- split language and encoding to prevent gettext from applying
  it's own recoding.
* Mon Sep 24 2001 - sh@suse.de
- Correctly init slide show in installed system so YOU and single
  package installation works OK
* Mon Sep 24 2001 - kkaempf@suse.de
- Load usb-storage last in order to not interfere with other storage
  module (9490).
* Sun Sep 23 2001 - mike@suse.de
- (#11188) Press back at the "suggested partitioning" screen followed by
  "next" and YaST2 says "You have rejected the proposal.
  RAID: bugfix: user are not allowed to remove RAID Devices in UI
  which are already exist.
* Sun Sep 23 2001 - kukuk@suse.de
- Check for color depth, not # of colors for slide show to avoid
  problems with overflow (#11178)
* Sat Sep 22 2001 - kukuk@suse.de
- Sync X11 font path with SaX2
- Enable jfs and ext3 on PPC (#11194)
* Sat Sep 22 2001 - fehr@suse.de
- add "ori_nr" entries for lvm and md devices
- add empty argument to SCR call
* Sat Sep 22 2001 - tom@suse.de
- (#10421) Fixed the focus switch.
* Sat Sep 22 2001 - mike@suse.de
- md: detect number of raid partitions per RAID only for new created RAIDs
- md: do not let the user edit or delete already existing RAIDs
- swap: activate per default all swap partitions automatically
-modules: switch on automatical load of modules when Y2 is mounting
  filesystems, so that undetectebal and not formated fs are mounted
  properly
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #10303: Must press 'back' twice in 'choose part. to boot'
* Fri Sep 21 2001 - fehr@suse.de
- allow adding of mount points to LVs in lvm runtime config
- prevent formatting of edited LV in lvm runtime config
- allow handling of ataraid devices (e.g. /dev/ataraid/d0p0)
- prevent partitions with id 0x8E from being written to fstab (#10390)
* Fri Sep 21 2001 - sh@suse.de, gs@suse.de
- Only ONE SlideShow::OpenSlideShowDialog() in all modes -
  avoid confusion, much more reliable in all the different modes
* Fri Sep 21 2001 - lnussel@suse.de
- no longer mark partitions with id 130 automatically as swap
- do not change flags for swap devices in fstab if more than one
  such entry exists
- properly hande fstab entries for moved logical partitions (#11074)
- change fstab entry for first occurence of a device, instead of
  creating a new one
- do not create directories for swap partitions
* Fri Sep 21 2001 - mike@suse.de
- lvm_config now works in ncurses
* Fri Sep 21 2001 - gs@suse.de
- installation startup always (not only in manual mode) checks whether a
  kernel module is already loaded
  (workaround for bug #10983)
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #9977: Abort button doesn't work during slide show
* Fri Sep 21 2001 - ms@suse.de
- fixed access control bug during X11 reconfiguration
  with YaST2. For further details see Bug: [10921]
* Fri Sep 21 2001 - fehr@suse.de
- fix impossible 0 as stripe size in LV dialog
- make lvm configuration in system work again (#10291)
* Fri Sep 21 2001 - kendy@suse.cz
- Update /var/lib/YaST/unique.inf during update (bug 10931, 10941)
* Fri Sep 21 2001 - kkaempf@suse.de
- default medianame to "CD" (11106).
* Thu Sep 20 2001 - fehr@suse.de
- Fixed bug #10963: Now an update on systems using encrypted fs is
  possible
* Thu Sep 20 2001 - sh@suse.de
- Fixed bug #10325: Save settings to floppy doesn't work
- Reading log file of mkinitrd and lilo correctly #11030
  (inst_finish_update.ycp)
- Correct cancel popup added #10951( inst_kernel.ycp )
* Thu Sep 20 2001 - kkaempf@suse.de
- "break" is not allowed inside "foreach" (11015).
- properly extract module arguments (11015).
- umount medium before ejecting (11053).
- offer "save & exit" in media selection (11086).
* Thu Sep 20 2001 - lnussel@suse.de
- do not create symlink for mountpoint if it would point to itself
* Thu Sep 20 2001 - lnussel@suse.de
- fstab entries for mount flags, passno etc are no longer changed
  for existing entries
* Thu Sep 20 2001 - mike@suse.de
- bug 11063: YaST2 trys to change fsids of pdisk-label partitions, and
  popups therefore irritating popups
* Thu Sep 20 2001 - fehr@suse.de
- fix problem when root fs is md of personality raid5 (#10747)
* Thu Sep 20 2001 - tom@suse.de
- (#10920) Now the presence of the dummy packages is checked at first.
* Thu Sep 20 2001 - kkaempf@suse.de
- Remove old release number file before installing new one (#10992).
* Thu Sep 20 2001 - sh@suse.de
- Fixed bug #10684: Monitor DB outdated
* Thu Sep 20 2001 - fehr@suse.de
- Do not delete modify_targets in inst_sw_select.ycp except when
  using a while disk for installation
* Thu Sep 20 2001 - lnussel@suse.de
- Fixed root filesystem on raid leads to corrupted fstab (#10418)
* Wed Sep 19 2001 - mike@suse.de
- Bugfix: if zero partition table: resync /proc/partitions
  Added warning, if "/" is /dev/md and there is no /boot
- Downgrade versions correctly #10906 ( inst_sw_update.ycp )
* Wed Sep 19 2001 - snwint@suse.de
- YaST2.start: mtab might be missing, avoid error message
- unmounting proc filesystem in inst_finish_update.ycp
- start X-Server for testing with "-ac", needed when starting
  from inside YCC.
* Wed Sep 19 2001 - fehr@suse.de
- force a hard reboot when root filesystem is on a md device
- Logging reduced in inst_rpmupdate.ycp
* Wed Sep 19 2001 - sh@suse.de
- Fixed bug #10909: Complaint about slide show init in log file
- Added more packages for version 6.2 in forceUpdate.ycp
- No error, if the versions of updated packages differs from common.pkd
* Wed Sep 19 2001 - kkaempf@suse.de
- Fix installing package information to updated target.
- Eject CDs on PPC only when unmounting.
* Wed Sep 19 2001 - kkaempf@suse.de
- Fix "Lithuanian" with native translation in language list.
- Properly label progress bar during swap formatting.
- Use predefined button labels for continue/cancel/retry if partitioning
  or formatting fails.
- preselect first partition #10840 (inst_rootpart.ycp)
- /sbin/yast2: add "-f" to 'rm'.
* Tue Sep 18 2001 - schubi@suse.de
- Silly testpopup in inst_finish_update removed.
- packages for 7.2 added #10874" (forceUpdate.ycp)
* Tue Sep 18 2001 - schubi@suse.de
- Recognize update mode after reboot ( installation.ycp )
- /mnt to Installation::destdir changed ; checking modus improved in
  inst_sw_backup.ycp
* Tue Sep 18 2001 - sh@suse.de
- V 2.4.84
- Fixed bug #10859: Inconsistent "needed from CD" values
* Tue Sep 18 2001 - tom@suse.de
- (#10762) Popups displayed in Richtext now (with scroll bars).
* Tue Sep 18 2001 - sh@suse.de
- Fixed bug #10411: Show difference between pkg deleting and inst.
- Fixed bug #10793: Unmounting /mnt after update.
* Tue Sep 18 2001 - tom@suse.de
- Added script call when switching 3D <--> 2D mode. (#10761)
- Module inst_config_x11.ycp
* Tue Sep 18 2001 - kkaempf@suse.de
- only use "switch2mesasoft" for non-3d x11 setups.
* Tue Sep 18 2001 - lnussel@suse.de
- do not try to create or change /etc/raidtab if raid is active
  while the user has changed nothing
* Tue Sep 18 2001 - mike@suse.de
- bug 10673: need /boot if no ext2 on /
- bug 10686: swap <= 1GB
- show raid size correct: existing raid and raid in LVM
- ignore automatic inserted mountpoints
- pdisk: size of partition for inst_doit fixed
* Tue Sep 18 2001 - fehr@suse.de
- shut down LVM VGs and umount /etc/lvmtab.d in inst_finish.ycp
* Tue Sep 18 2001 - lnussel@suse.de
- workaround for '&'-character not displayed in ncurses menu
* Tue Sep 18 2001 - lnussel@suse.de
- removed the texdomain switching from menu.ycp (Bug #10819)
- only create fstab entry for partitions if user explicitly
  entererd a mountpoint, instead of inventing one
* Tue Sep 18 2001 - kkaempf@suse.de
- properly pass encoding ("UTF-8", "ISO-8859-X", ...) via SetLanguage() (#10807).
- drop unsupported "korean" from language list.
- properly detect that X11 couldn't be started and present
  and appropriate error message.
- just skip unknown options.
- stop SCR and all agents on target before umounting filesystems
  from WFM.
- remove faked /etc/mtab from target.
- Installation::normal_mode = true if running in installed system.
  (neither initila_mode, nor continue_mode).
- fix parport zip module loading.
* Mon Sep 17 2001 - kkaempf@suse.de
- write language back to /etc/yast.inf (#9790).
- umount all filesystems in target, except "/". Umount this
  from WFM after stopping SCR (#10685).
- Reading language from user_settings while selection kernel
- Showing correct counter of updated packages
- Button -Old Version- changed #10559
- ChangeCD --> ChangeMedium
- include package_utils removed #10763
* Mon Sep 17 2001 - kkaempf@suse.de
- use "lt-brim-8x14" font and "iso-8859-13" encoding for 'Lithuanian'.
* Sun Sep 16 2001 - kkaempf@suse.de
- only symlink /dev/cdrom once (#10370).
* Fri Sep 14 2001 - kukuk@suse.de
- On SPARC print error message about SILO, not LILO
* Fri Sep 14 2001 - kkaempf@suse.de
- adapt language list accoring to doc department.
* Fri Sep 14 2001 - tom@suse.de
- Bugfix #9986: Reduced suggestion refresh to 75 Hz.
* Fri Sep 14 2001 - mike@suse.de
- bug 10200: check the proposal for failures
  make a boot partition if possible
  bug 10347: set whole_diskflag
  bug 10044: set a message when proposal is discarded
* Fri Sep 14 2001 - kkaempf@suse.de
- fix inst_environment for standalone mode (#10413).
- respect user choice to NOT install a module (#10665).
* Fri Sep 14 2001 - tom@suse.de
- Fixed Bug #10651: Autoadjusting refresh/resolution/color-depth now correct.
* Fri Sep 14 2001 - kkaempf@suse.de
- set correct Installation::encoding in continue_mode (#10611).
* Fri Sep 14 2001 - mike@suse.de
- dont reread partition data always at start of inst_custom
  activate lvm if at least one vg exist
- check if textmode due to memory restrictions or x11 failure (#10134).
- use Arch and Installation modules in inst_environment (#10413).
- pkginfo release common.pkd before releasing CD 1 #10555
* Fri Sep 14 2001 - kkaempf@suse.de
- correct handling of 'splitted' media (#10532)
- touch/remove /var/run/yast.pid
* Thu Sep 13 2001 - snwint@suse.de
- dolilo: new mk_initrd needs fb resolution for splash screen config
- Taking long language for kernel description #10556 #1552
- No penguin progress bar in kernel selection module #10311
- Button -Old Version- changed #10559
* Thu Sep 13 2001 - kkaempf@suse.de
- dont probe mouse on serial console.
- dont probe mouse outside of initial_mode.
- sort languages by ascii equivalent.
* Thu Sep 13 2001 - kkaempf@suse.de
- enable software selection on S/390 (froh@suse.de).
- show proper boot-loader partition even if we don't have lilo (froh@suse.de).
- load input, hid, and mousedev if USB-mouse detected (#9228).
- default medium is CD (#10374)
- re-enable WFM::SetLanguage(), regexp bug in glibc identified,
  workaround in liby2 applied. (#10496)
- use /boot/zilo-kernel/image instead of /boot/vmlinuz on S/390 (froh@suse.de).
- sort language list alphabetically (#10516).
* Wed Sep 12 2001 - kkaempf@suse.de
- drop all WFM::SetLanguage()
- Unmounting partitions correctly while going back #10125
- REQUIRES are ordered; qt, qt-japanese.... in the selection box
- Warning popup for single selection removed while going backward
  in the software selection #10339
* Wed Sep 12 2001 - snwint@suse.de
- revert latest vmware changes to YaST2.start
* Wed Sep 12 2001 - kkaempf@suse.de
- drop initial WFM::SetLanguage()
* Tue Sep 11 2001 - kkaempf@suse.de
- Initial zipl configuration for S/390.
* Tue Sep 11 2001 - kkaempf@suse.de
- Unmount .probe and .disk agent before package installation.
* Tue Sep 11 2001 - kkaempf@suse.de
- call SetLanguage in UI and WFM.
* Mon Sep 10 2001 - snwint@suse.de
- create 'failsafe' instead of 'suse' entry in lilo.conf
- don't overwrite existing vmlinuz.suse
* Mon Sep 10 2001 - snwint@suse.de
- make YaST2.start work with vmware
* Mon Sep 10 2001 - sh@suse.de
- Fixed bug #10350: YaST2 doesn't look good with anti-aliasing
* Fri Sep 07 2001 - sh@suse.de
- Fixed bug #10244: No slide show unless at least 800x600x256col
- center slide show image
* Fri Sep 07 2001 - sh@suse.de
- V2.4.64
* Fri Sep 07 2001 - pblahos@suse.cz
- hotplug is started instead of usbmgr during YaST2.firstboot
* Fri Sep 07 2001 - sh@suse.de
- CD remaining times more pessimistic
* Fri Sep 07 2001 - kkaempf@suse.de
- fix textmode recognition with help of GetDisplayInfo().
* Thu Sep 06 2001 - kkaempf@suse.de
- fix X11 resolution dedection if 3D is selected.
* Thu Sep 06 2001 - sh@suse.de
- V 2.4.62
- Correctly reinitialize packager in continue mode
-> correct remaining times / progress bar display
* Thu Sep 06 2001 - kkaempf@suse.de
- drop extraction of boot parameter from lilo setup, already
  done at startup. (#10223)
- fix reading of local package information.
- check if mount point is in use in InstMedia
* Wed Sep 05 2001 - schubi@suse.de
- Do not upgrade a package which produces package conflicts.
* Wed Sep 05 2001 - sh@suse.de
- Fixed bug #10063: bad display of hd partitions in inst_doit
  Re-used existing function from partitioning
* Wed Sep 05 2001 - sh@suse.de
- Fixed bug #10084: zero size for k_deflt
* Wed Sep 05 2001 - kkaempf@suse.de
- add belgian keyboard to keyboard list (#9577)
* Wed Sep 05 2001 - kkaempf@suse.de
- fix runtime installation and configuration of X11.
* Wed Sep 05 2001 - kkaempf@suse.de
- dont unmount installation medium if wrong product id detected,
  honor user request to ignore this fact.
* Tue Sep 04 2001 - kkaempf@suse.de
- use plain ascii language names if running in text mode (#10026).
- correct parameter for setEnvironment
* Tue Sep 04 2001 - fehr@suse.de
- add dummy parameter to SCR::Write(.lvm.deactivate)
- deactivate lvm only when running in inst-sys
* Tue Sep 04 2001 - mike@suse.de
- partproposal always creates /boot
  bugfix inst_do_resize: resize always when a "resize" is in targetmap
  software installation in installed system fixed
* Tue Sep 04 2001 - sh@suse.de
- Reimported monitor db
* Tue Sep 04 2001 - kkaempf@suse.de
- get {install,delete}_list in inst_rpmcopy from user_settings if
  not passed otherwise.
* Tue Sep 04 2001 - snwint@suse.de
- YaST start script: use vmware server module, not vga16
* Tue Sep 04 2001 - kukuk@suse.de
- inst_silo_expert.ycp: Initialize PROM/boot-device variablen
- inst_disk.ycp: Fix allowed filesystems on sparc [Bug #9678]
* Mon Sep 03 2001 - kkaempf@suse.de
- recognize IDE CD-R(W) drives and set up ide-scsi automatically.
- Hard reboot after update, if the installed kernel differs from
  the kernel which has been booted #10103
- Checking dependencies in -only update modus- too #10043
* Mon Sep 03 2001 - kendy@suse.cz
- keyboard_raw.ycp: group(shift_toggle) is not needed for the
  Czech and Slovak keyboards any more...
  (In fact, it breaks them.)
* Mon Sep 03 2001 - kkaempf@suse.de
- sort keyboards alphabetically.
- Error popup for dolilo #9729
* Sat Sep 01 2001 - kukuk@suse.de
- Show warning about PROMs with 1GB bug only on sparc32
- If /boot is selected for the boot manager, this is Ok on SPARC.
  Remove extra warning on SPARC since it is wrong here.
- Disable gpm if we install over serial console
* Fri Aug 31 2001 - kkaempf@suse.de
- fix installation path handling and mounting
  should now work for CD, DVD, Harddisk, Nfs, and Smb
* Thu Aug 30 2001 - kkaempf@suse.de
- modularized SlideShow.
- New help text in upgrade frame
- properly recode output of commands to utf-8
- allow change of installation medium on server (Nfs/Ftp/Smb)
- Short language description in inst_sw_select removed.
- fixed some parse errors <msvec@suse.cz>
- added abuild parse check <msvec@suse.cz>
* Thu Aug 30 2001 - kkaempf@suse.de
- unmount wrong medium.
* Thu Aug 30 2001 - kkaempf@suse.de
- always give all alternatives in ChangeCDPopup.
- always do a hard reboot after installation from first medium.
* Wed Aug 29 2001 - kkaempf@suse.de
- properly handle media release and product codes.
- initialize PKGINFO to installed data in continue_mode.
* Wed Aug 29 2001 - kkaempf@suse.de
- re-read installation data in continue_mode.
* Tue Aug 28 2001 - kkaempf@suse.de
- properly switch SCR during update.
- write YaST information after re-mounting installation medium.
- fix re-mounting of source medium in continue_mode
- re-init PKGINFO environment in continue_mode
- Packagelist added which have to be updated without checking version.
* Tue Aug 28 2001 - kkaempf@suse.de
- use "Installation" module in update.
* Tue Aug 28 2001 - kukuk@suse.de
- Fix dosilo script for new /proc behaviour with kernel 2.4.x
  print a message about SuSE Linux version before loading the
  kernel
* Tue Aug 28 2001 - sh@suse.de
- Fixed bug #9900: No ISDN for SPARC
- inst_rpmcopy now displays remaining times for each CD
- slide show
* Tue Aug 28 2001 - kendy@suse.cz
- inst_hw_config.ycp: maps describing the devices to configure can
  have a list "force_reread". It is useful for modules which
  call another one to configure something (e.g. TV may call Sound)
* Tue Aug 28 2001 - mike@suse.de
- fix: part_proposal only for arch == i386
* Mon Aug 27 2001 - kkaempf@suse.de
- Clean up SCR/WFM handling. WFM is always local, SCR is always the target.
- Introduce modules for Installation, InstMedia, PackageIO, and MediaUI.
- Prepare for multiple DVD installation.
- Prepare for Ftp, Harddisk, and SMB installation.
- Finally clean up installMap handling.
* Thu Aug 23 2001 - kukuk@suse.de
- Don't reboot if we use k_deflt on UltraSPARC
* Thu Aug 23 2001 - pblahos@suse.cz
- Fixed: there were 2 arrows in progressbar shown during hw probe.
* Wed Aug 22 2001 - kkaempf@suse.de
- fixed X11 setup
* Mon Aug 20 2001 - mike@suse.de
- partition proposal creates swap partitions
* Mon Aug 20 2001 - kkaempf@suse.de
- dont write "swap" to yast.inf, but "RebootMsg 0" instead
* Sat Aug 18 2001 - tom@suse.de
- Finished new X11 configuration dialog incl. control center ability.
* Fri Aug 17 2001 - kkaempf@suse.de
- implement and use "Arch" module.
- provide modules directory in specfile.
- reduce number of timezones.
- Patch runlevel in /etc/inittab while updating the system.
* Fri Aug 17 2001 - schubi@suse.de
- .targetroot to .root changed
* Tue Aug 14 2001 - kendy@suse.cz
- keyboard_raw.ycp: cs, cs_qwerty -> cz, cz_qwerty
- Added slovak keyboard.
* Fri Aug 10 2001 - tom@suse.de
- X11 configuration:
- Completely redesigned the xf86config module for use with the new
- agent-isax.
- Outsourced functions for X11 keyboard manipulation.
- Outsourced functions for X11 mouse manipulation.
- Outsourced functions for X11 card manipulation.
- Outsourced functions for X11 desktop manipulation.
- Outsourced functions for X11 path manipulation.
- Added batch mode for use with autoinst in xf86config.ycp.
* Fri Aug 10 2001 - jbuch@suse.de
- added SW-RAID support for installation Workflow
- added sequencer
* Fri Aug 10 2001 - kkaempf@suse.de
- extract kernel parameters from /proc/cmdline and pass them to LILO
* Fri Aug 10 2001 - kukuk@suse.de
- Only ask for TERM variable if we use serial console and not if
  we are in text mode (#9701)
* Fri Aug 10 2001 - kkaempf@suse.de
- partitioning enhancements for automatic and runtime usage
- copy info and update.in_ after CD1 installation, not before
* Thu Aug 09 2001 - kkaempf@suse.de
- check /proc/modules before asking for module load (#9698)
* Thu Aug 09 2001 - snwint@suse.de
- yast2 text mode starts on /dev/console, not tty3
- /mnt is a link on LiveEval: don't umount it
* Wed Aug 08 2001 - kkaempf@suse.de
- mount and mk*fs are .local not .target actions
* Wed Aug 08 2001 - kkaempf@suse.de
- adapt driver loading to new .probe format
- replace .target.inject calls
* Tue Aug 07 2001 - kkaempf@suse.de
- replace use of targetroot in favour of system agent.
* Tue Aug 07 2001 - kkaempf@suse.de
- skip "whole disk" partitions on BSD disks. (#7904)
- Activate button in lilo now reads "Activate LILO partition". (#7884)
* Mon Aug 06 2001 - kukuk@suse.de
- Add script to ask for TERM variable to yast2-instsys, too.
* Fri Aug 03 2001 - arvin@suse.de
- don't start vga x11 server on ppc (bug #9622)
* Fri Aug 03 2001 - arvin@suse.de
- added inst_part_proposal.ycp to inst-sys
* Fri Aug 03 2001 - kukuk@suse.de
- If installed over serial console ask the user for the TERM
  variable and write it to /etc/install.inf
* Thu Aug 02 2001 - mike@suse.de
- taged version for 7.3 - preview 3
* Wed Aug 01 2001 - mike@suse.de
- first Version for RAID and partition proposal
  (only for translation, dosn't work properly)
* Fri Jul 27 2001 - kkaempf@suse.de
- initial slide show code for package installation
* Fri Jul 27 2001 - kkaempf@suse.de
- ask for confirmation before loading module in manual mode
* Fri Jul 27 2001 - kkaempf@suse.de
- fix initrd module handling
  properly pass options to modules.conf
  use agent-modules in inst_finish
* Thu Jul 26 2001 - kkaempf@suse.de
- minor text changes
* Tue Jul 24 2001 - fehr@suse.de
- add detection of md devices to function GetLvmMdSystemInfo
* Wed Jul 18 2001 - fehr@suse.de
- fix a bug in LVM configuration for devices /dev/ida/, /dev/rd/
  and /dev/cciss/
* Mon Jul 16 2001 - kkaempf@suse.de
- fix keyboard data for swedish
* Thu Jul 12 2001 - sh@suse.de
- Improved inst_startup UI: More feedback
* Tue Jul 10 2001 - sh@suse.de
- Improved inst_suseconfig UI: Give feedback for individual steps
* Fri Jul 06 2001 - kkaempf@suse.de
- merge SLES fixes
- add JFS as filesystem
* Thu Jul 05 2001 - schubi@suse.de
- New handle of package selection groups.
* Thu Jul 05 2001 - sh@suse.de
- Fixed bug #9277: Bad initial focus in menu.ycp
* Wed Jul 04 2001 - sh@suse.de
- Redesigned inst_doit: Now using RichText widget
* Mon Jul 02 2001 - kkaempf@suse.de
- merge with 7.1-axp fixes:
  fix user information for vfat /boot
  format /boot as fat on milo and ia64
  changed 'doaboot' to get a useable /etc/aboot.conf
  force "-t vfat" for mount of /boot on MILO machines
  check cylinder boundaries on "aboot" only, not "axp" in general
  format /boot on "milo" machines with mkdosfs
  boot_mode "milo" on Alpha has FAT disklabel
  use smp flag from install.inf instead of probing on Alpha
  select correct cpml package for cpu model on Alpha
  auto-select aboot or milo on Alpha
  use data from milo package for installation
  write correct /etc/aboot.conf
  fix kernel image names for depmod
  for /boot to be FAT16 for MILO machines
  implemented boot loader installation on Alpha
  fix handling of XkbModel on pmac
  remove arch_ppc check in inst_lilo_expert.ycp #6684
  add missing pdisk partition type #6688
  allow update on a drive with pdisk label #6689
* Mon Jun 25 2001 - kkaempf@suse.de
- tell about reboot after first round of installation (#7994)
- modprobe "hid" and "mousedev" if "usb mouse" choosen from list (#8215)
- close CD tray before executing mount (#8492)
* Fri Jun 22 2001 - kkaempf@suse.de
- dont mention LILO on ia64 (#9003)
* Wed Jun 20 2001 - fehr@suse.de
- add necessary changes to handle LVs in fstab in running system
* Tue Jun 19 2001 - fehr@suse.de
- add changes for lvm configuration in installed system to
  handle /etc/fstab reasonable.
- Enable "next" button in selection ftp-server (#8641)
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.1
  Fixed bug #8726: SuSEconfig fails on SPARC with serial console
- Fixed bug #8641: Allow "next" button in choosing ftp server
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.0 for 7.3
  Honor new BarGraph / PartitionSplitter format: "%%1"
* Thu Jun 07 2001 - kkaempf@suse.de
- remove @euro for en_GB and da_DK
* Thu Jun 07 2001 - kukuk@suse.de
- inst_silo_info.ycp: Fix info text: Don't speak about whole
  computer but only about selected harddisk.
* Wed Jun 06 2001 - kukuk@suse.de
- inst_environment.ycp: Don't set keyboard if serial console was
  detected.
* Tue Jun 05 2001 - kukuk@suse.de
- Remove inst_sunfb.ycp from instsys
- keyboard_raw.ycp: Replace default us keymap with new cz keymap
  on SPARC.
- inst_choose_desktop: Switch to own workflow for Sun Framebuffers
* Fri Jun 01 2001 - kukuk@suse.de
- inst_finish.ycp: Set correct boot device for hard reboot,
  modify boot-device and set linux alias
* Fri Jun 01 2001 - kkaempf@suse.de
- install correct kernel for different ia64 cpu steppings
- allow vfat as root during update
- define "string architecture" in vendor.ycp
-#8425 update does a hard reboot
  #8081 too negative message after update ..
  #8356 vfat will not be mounted while updating the system
  #8185 Installation/Update: sformat wanted
  #8567 YaST2 does not mount /boot
  #6063 Update: Don't see ok button
  #7097 YaST2 info during update
  #4953 "Configurate boot-mode" should be renamed to "Configure boot-mode"
  #5051 typo in yast2 installation popup
* Fri Jun 01 2001 - kkaempf@suse.de
- adapt and enter inst_lilo_info for ia64
* Mon May 28 2001 - schwab@suse.de
- Also mount vfat filesystems during update.
* Wed May 23 2001 - gs@suse.de
- package_utils: samba mount implemented
  inst_smbmount: new module
* Tue May 22 2001 - schwab@suse.de
- doelilo: Adjust elilo config file for gnu-efi 2.5.
- doelilo: Adjust elilo config file for gnu-efi 2.5.
* Mon May 21 2001 - mike@suse.de
- XFS support in custom partitioner and LVM configuration
* Mon May 21 2001 - kukuk@suse.de
- inst_silo_info/inst_silo_expert: Tell the user that we change
  PROM aliases and let him change this.
* Fri May 18 2001 - kkaempf@suse.de
- add xfs to inst_prepdisk
* Fri May 18 2001 - kkaempf@suse.de
- setab 0 -> setab 9 to make output more pleasing on splash screen (#8551)
* Thu May 17 2001 - tom@suse.de
-  X configuration:
  Bugfix 8454: Besides the passing of the currently selected refresh rate
  in the resolution string (e.g. 600x800@70) to isax for XFree 3
  the selected refresh now also terminates the vsync range to
  prevent isax from generating modelines up to this value.
  Bugfix 8524: The 3D acceleration button is now disabled if the graphics
  adapter doesn't support 3D-acceleration.
  Bugfix 8540: Now the vendor and model strings are converted to upper case
  on module entry.
  Bugfix 8541: Now the probed data are deleted if the user selects another
  monitor.
* Thu May 17 2001 - kkaempf@suse.de
- dont pretend that no other os has been found if we can't
  write LILO to floppy disk.
* Wed May 16 2001 - sh@suse.de
- V 2.3.90
  added patch_lilo_conf to file list
* Wed May 16 2001 - sh@suse.de
- Fixed patch_lilo_conf: optional as well as initrd
* Wed May 16 2001 - kkaempf@suse.de
- prevent duplicate entry in initrdmodules during update
- activate only primary devices (#8458)
* Wed May 16 2001 - kkaempf@suse.de
- give proper default for "lilo_device" if "mbr_disk" is unknown (#8501)
* Wed May 16 2001 - sh@suse.de
- Fixed bug #8494: initrd not added to lilo.conf
  patch_lilo_conf adds "initrd" entries if corresponding
  initrd is present in /boot (for SuSE standard kernels only!)
* Wed May 16 2001 - kkaempf@suse.de
- add reiserfs to initrd if root is on reiserfs (#8494)
* Wed May 16 2001 - sh@suse.de
- Fix for bug #7465: "Abort Installation" always default button
  Added more SetFocus() calls for good measure
* Wed May 16 2001 - kkaempf@suse.de
- use gdm as displaymanager if minimal(+x11) and gnome (#6175)
- dont write MODEM in rc.config (#7895)
- copy complete y2log to installed system.
- fix declaration in lilo_info, string->boolean
* Tue May 15 2001 - tom@suse.de
- Bugfix 8423: probed monitor data now used.
* Tue May 15 2001 - gs@suse.de
- bugfix in Change Source Media (include file added) bug # 8406
* Tue May 15 2001 - mike@suse.de
- due to last information: to crypt /usr is
  not allowed. Added a popup
* Tue May 15 2001 - kkaempf@suse.de
- revert change in y2xr40.pl, support tft panel layouts
  in favour of higher resolutions (#8348)
- remove "breton" from languages, add "danish"
- patching XF86config for wheel mouse (#8251)
* Tue May 15 2001 - mike@suse.de
- bugfix cryptofs: now works with already existing
  and edited partitions
* Tue May 15 2001 - ms@suse.de
- disable use of DDC resolutions in y2xr40.pl (bug #8329)
  ( YaST2 used its own resolution list )
* Tue May 15 2001 - gs@suse.de
- don't show /dev/shm in single package selection (bug #8318)
* Mon May 14 2001 - sh@suse.de
- V2.2.79
  Fixed bug #8255: Wrong mouse cursor during SuSEconfig
  Removed obsolete UI(`NormalCursor()) calls
* Mon May 14 2001 - kkaempf@suse.de
- create lower case symlinks for /windows and /dos mount points
  (installation and update) to get around case mapping bug
  in star office (#8310)
* Mon May 14 2001 - kkaempf@suse.de
- properly initiale UI wizard for vendor cd modules (#8268)
- de-activate pt_PT, translations are incomplete (afaber@suse.de)
* Mon May 14 2001 - kkaempf@suse.de
- fix variable name in inst_finish (install_inf -> installMap) (#8247)
* Mon May 14 2001 - kkaempf@suse.de
- dont look at "Language" in install.inf, it's not in ISO-format
  if "Locale" in install.inf doesn't give a value, look at descr/info
* Mon May 14 2001 - kkaempf@suse.de
- read Locale, Language (from install.inf), and LANG (from desc/info)
  and use first set value.
* Mon May 14 2001 - kkaempf@suse.de
- restart network after staring system in NFS install (#8274)
* Mon May 14 2001 - kkaempf@suse.de
- check if "/" is reiser and force "reisefs" to INITRD_MODULES
* Mon May 14 2001 - kkaempf@suse.de
- drop question for kernel 2.2 on pcmcia, only very rare systems
  still fail with kernel 2.4
* Mon May 14 2001 - fehr@suse.de
- make removal of LVM volume groups work
* Sun May 13 2001 - kkaempf@suse.de
- fix blocker bug 8216
* Sat May 12 2001 - kkaempf@suse.de
- ask for kernel 2.2 on PCMCIA systems
* Sat May 12 2001 - kkaempf@suse.de
- unset MODPATH at initial start (#8143)
- install kernel 2.2 on PCMCIA systems
* Fri May 11 2001 - schubi@suse.de
- Not required reread of target map fixed.
* Fri May 11 2001 - pblahos@suse.cz
- #8064: fixed: if there is print spooled installed and configuration
  tool is not, there is no status in final YaST2 inst. screen.
- Correct popup message while backup #7584
* Fri May 11 2001 - kkaempf@suse.de
- provide extra start script for KDE which suppresses geometry hint
  to window manager.
* Thu May 10 2001 - kkaempf@suse.de
- Require translation packages
- dont translate empty string
- force LILO on MBR if initrd won't make it on floppy (#7864)
- calling patch_lilo_conf while update #7556
- bugfix in renamed packages while update #8057
- mounting swapfile correctly while update #8040
* Thu May 10 2001 - kkaempf@suse.de
- fix initrd modules order after update (#7948)
* Thu May 10 2001 - mike@suse.de
- fix for LVM configuration at runtime
* Thu May 10 2001 - sh@suse.de
- Fixed bug #7388: unnecessary OK-buttons
  (confirmation for writing LILO, confirmation for reboot)
  only one popup that contains both messages
* Thu May 10 2001 - kkaempf@suse.de
- dont write /boot/message any more (#8062)
* Thu May 10 2001 - fehr@suse.de
- add lvm initialisation when doing an update (#7974)
- allow update when root fs is LV (#7801)
- fixed:YaST updated old updatelist after reboot #8066
- #8025 not starting update, if there is nothing for update
* Thu May 10 2001 - sh@suse.de
- Fixed bug #8049: "boot installed system" "back" button boots
* Thu May 10 2001 - kkaempf@suse.de
- set "ulimit -s unlimited" before calling "rpm --rebuilddb"
* Thu May 10 2001 - kendy@suse.cz
- added console fonts for Brezhoneg and Lithuania
- Russian -> Russkij in cyrilics
- adaption of SelectConsoleFont() to new language.ycp
* Thu May 10 2001 - gs@suse.de
- make the popup Additional package needed larger (bug # 7900)
- Software Source Media dialog: label for button is "Next" (bug # 8038)
* Thu May 10 2001 - sh@suse.de
- Fixed bug #7199: Printer config before network
  Changed order to "professional" mode when network card detected
- bugfix in eavaluate diskspace in boot partition #8047
* Thu May 10 2001 - sh@suse.de
- (partial) fix for bug #7888: obsolete lilo.conf entries after update
  added patch_lilo_conf script that deletes vmlinuz_22 / vmlinuz_24
  if the respective boot images are not present and adds "optional"
  for other boot images that are not present
* Thu May 10 2001 - kkaempf@suse.de
- use RC_LANG when starting yast2 to get correct language (#8013)
* Thu May 10 2001 - tom@suse.de
- bugfix 7823:
  Now even in the special cases LCD and VESA an xserver query is made
  to get information regarding the possible color depths.
* Thu May 10 2001 - tom@suse.de
- bugfix #8000:
  Now the modified monitor db is preserved by storing it to disk.
* Thu May 10 2001 - sh@suse.de
- Re-imported SaX2 monitor DB
* Thu May 10 2001 - kendy@suse.cz
- lat9w font for EU states (#7776)
* Thu May 10 2001 - kkaempf@suse.de
- keep LANG codes and modifiers in single list (#7957)
* Wed May 09 2001 - kkaempf@suse.de
- fix order of initrd modules (#7948)
* Wed May 09 2001 - gs@suse.de
- text changed for popup package conflicts (bug # 7887)
  and popup "Release number differs ...."
* Wed May 09 2001 - jbuch@suse.de
- forbid crypt_fs with mountpoints like / /boot swap
  added cryt_fs to ExistingPartitionDlg
* Tue May 08 2001 - kkaempf@suse.de
- set "Greenwich" as default timezone for en_GB (#7837)
- unset MODPATH before calling depmod
- Update: selecting default to UPGRADE #7804
* Tue May 08 2001 - kkaempf@suse.de
- skip drives which are not ready (#6547)
* Tue May 08 2001 - tom@suse.de
- X11 configuration: removed integer <---> float inconsistency
* Tue May 08 2001 - kkaempf@suse.de
- reset have_x11 after switching to "minimal"
- allow "activate" switch for partitions
* Tue May 08 2001 - gs@suse.de
- package_utils: CheckLocalDescription added
* Tue May 08 2001 - mike@suse.de
- for security reasons: use now losetup agent instead of standalone binary
* Tue May 08 2001 - fehr@suse.de
- add shortcut key to crypt checkbox
* Tue May 08 2001 - sh@suse.de
- Fixed bug #7547: "Boot installed system" not active
  Implemented reboot from installed system
* Tue May 08 2001 - jbuch@suse.de
- fixed english
* Tue May 08 2001 - jbuch@suse.de
- removed not used variable last_format from inst_custompart.ycp
  forbid using fat file system with mountpoints / /home /opt /usr /var
* Tue May 08 2001 - schubi@suse.de
- showing progress bars again #7774
- rename /cdrom to /media/cdrom in /etc/fstab #7732
* Tue May 08 2001 - snwint@suse.de
- floppy device for mk_lilo_conf via $floppy environment var
- mk_boot_floppy completely rewritten to use lilo instead of syslinux
* Tue May 08 2001 - schwab@suse.de
- Fix typo targeroot -> targetroot.
* Tue May 08 2001 - jbuch@suse.de
- added define to change fsid from 5 to 15
  only for new extended partitions
  added DisplayMessage if a fat file system is greater than 2 GB
- showing progress bars again #7774
* Tue May 08 2001 - kkaempf@suse.de
- set hwclock before starting to change the target (#7833)
* Mon May 07 2001 - gs@suse.de
- Single Package Selection: improve popup Severe package conflict
- mk_lilo_conf removed #7569
* Mon May 07 2001 - kkaempf@suse.de
- FHS: /floppy -> /media/floppy also in inst-sys (#7827)
* Mon May 07 2001 - fehr@suse.de
- Add possibility to encrypt lvm logical volumes
* Mon May 07 2001 - sh@suse.de
- Fixed bug #7628: textmode info shown after booting
  Add flag to user_settings when text mode warning is shown
* Mon May 07 2001 - kendy@suse.cz
- Do not use CONSOLE_UNIMAP in consolefonts.ycp (#7767)
* Mon May 07 2001 - kkaempf@suse.de
- drop hard coded /dev/fd0, use value from hw-probing (#7789)
* Mon May 07 2001 - mike@suse.de
- Bugfix LVM: mount more than one crypted partition
* Mon May 07 2001 - tom@suse.de
- X-configuration
  Bugfix 7641: X-configuration for XFree86 3.x now functional (didn't work).
  Removed integer|float syntax warning.
  Added support for mice with wheels.
  checked default values for some lookups.
* Mon May 07 2001 - arvin@suse.de
- added output of memory information to YaST2 start script
* Mon May 07 2001 - sh@suse.de
- Use new UI builtin GetLanguage() parameter "strip_encoding"
* Mon May 07 2001 - kendy@suse.cz
- Use non-UTF-8 locale in the y2xfinetune40 (not reported bug)
* Mon May 07 2001 - arvin@suse.de
- start qt frontend with >= 64MB and adjusted corresponding text
- mounting /usr as reiserfs #7585
- initialize server, if another root has been selected #7495
* Mon May 07 2001 - kkaempf@suse.de
- change controlling terminal after switching virtual console (#7626)
- dont check mouse with serial console (#7716)
- dont ask keyboard with serial console (#7717)
- dont ask hwclock setting on sparc (#7717)
* Fri May 04 2001 - mike@suse.de
- fixed Bug 7528: YaST2->Partitioning: wrong info in popup
- Bug:          LVM:
  it at the moment not possible to delete a "activated"
  lvm partition (physical volume) and do afterwards
  mk*fs ...
- changed: read lvm as late as possible
- after deleting a  physical volume:
  immediately do partitioning and reboot
- if the target_partitioner delets volume group: reboot
- Bug:          Setting up an LVM an than switching via back to custom
  partitioner:
- drop target_modifications in inst_sw_select
- Bug:          wrong error message appears:
  quick hack: delete message: inst_target_selection.ycp
- Bug:          no warning if /boot is to small
- added warning
- Bug:          missing textdomains is lvm includes
* Fri May 04 2001 - gs@suse.de
- helptext for Mininum graphical system added (bug 7483) in
  dialog Software Selection
- check the software selection again when going next (bug reported by mike)
* Wed May 02 2001 - kkaempf@suse.de
- allow calling inst_enviroment and inst_language from outside
* Wed May 02 2001 - sh@suse.de
- Fixed bug #7463: next/abort/back not translated in installed system
  Moved msg re-translation code out to separate function
  added call to this function when starting in "continue mode"
- no more: RPM returned an error (#7424)
* Wed May 02 2001 - fehr@suse.de
- umount lvm agent after re-partitioning harddisk
* Wed May 02 2001 - sh@suse.de
- Fixed bug #7467: Help text not translated in inst_finish.ycp
  Added missing translation markers
* Wed May 02 2001 - sh@suse.de
- updated monitor DB from devel server
* Wed May 02 2001 - kkaempf@suse.de
- handle all sync values as floats in x11
* Wed May 02 2001 - kkaempf@suse.de
- use gdm as display manager if gnome is selected
* Mon Apr 30 2001 - kkaempf@suse.de
- drop obsolete file from filelist
* Mon Apr 30 2001 - fehr@suse.de
- bugfix for lvm configuration
* Mon Apr 30 2001 - kkaempf@suse.de
- Evaluate "buttons" and "wheels" values from probing
  dont emulate 3 buttons if not needed
* Mon Apr 30 2001 - sh@suse.de
- Fix for bug #7004: Penguin image too small
  New penguin image at startup: colored margins right and bottom,
  can adapt to different screen geometries
* Mon Apr 30 2001 - snwint@suse.de
- removed mk_lilo_message
- vga parameter correctly interpreted in mk_lilo_conf (#7197)
- new graphical boot screen handling
* Mon Apr 30 2001 - kkaempf@suse.de
- first try on DVORAK keyboard (incomplete)
- showing package description while installing rpm via ftp update (#6573)
- install "yast2-ui-qt" if "xf86" is installed.
* Mon Apr 30 2001 - mike@suse.de
- bugfix creating two volume groups
* Mon Apr 30 2001 - kkaempf@suse.de
- fix lilo device message (show disk instead of partition)
* Mon Apr 30 2001 - sh@suse.de
- (partial) fix for bug #7004: Penguin image too small at Y2 start
  Allow more flexible scaling of image, top left aligned, zero
  size by default
* Mon Apr 30 2001 - tom@suse.de
- X11 configuration:
  Fixed bug 7437:
  Corrected typo in sorting algorithm for sorting resolutions in the GUI.
* Mon Apr 30 2001 - kkaempf@suse.de
- mount "/boot" with "defaults", even if its vfat formatted (#7413)
* Fri Apr 27 2001 - tom@suse.de
- X11 configuration:
  Improved display with erroneous probing of monitor vendor and/or model.
* Fri Apr 27 2001 - fehr@suse.de
- bug fixes in lvm configuration
* Fri Apr 27 2001 - gs@suse.de
- inst_sw_details: internal changes because of new package dependencies
- package_utils: improve function ChangeCD
- Single Package Selection: translation of group tags
- evaluate splitted packages correctly ( e.g finger ) #7271
* Fri Apr 27 2001 - mike@suse.de
- Bugfixes:
  read cryptotab at firstboot failed
  7238  crypto dialog has no frame
  5967  unnecessary logline
  crypto dialog appears twice
  4693  deleting of extended partition 8 and 9
  2309  popup when deleteing partitions
  5422  display an error if we mount a ro filesystem for update
* Thu Apr 26 2001 - kkaempf@suse.de
- extrace x11 3d packages correctly (#7231)
* Thu Apr 26 2001 - tom@suse.de
- X11 configuration:
  Fixed Bug 4558: Now the model string (if VESA or LCD) is parsed and the
  resolution and refresh rate are used for configuration.
  Improved setting of refresh rate with XFree86 4.
  (now reality will suit the users demand better)
  Consequently changed suggestion value from 90 Hz to 80 Hz.
* Thu Apr 26 2001 - kendy@suse.cz
- inst_hw_config: ReallyAbortPopup()->UI(`ReallyAbortPopup())
* Thu Apr 26 2001 - kkaempf@suse.de
- evaluate return from NIS question (#7269)
* Thu Apr 26 2001 - kkaempf@suse.de
- dont start inetd by default.
* Thu Apr 26 2001 - kkaempf@suse.de
- re-compute timezone if language was changed (#7008)
* Thu Apr 26 2001 - kkaempf@suse.de
- added "ash" to requires for dolilo (#7254)
- Checking boot partitionsize while updating the system (#6445)
* Thu Apr 26 2001 - kkaempf@suse.de
- look for "update.tar.gz" first, fallback to "update.tgz" else
* Thu Apr 26 2001 - kkaempf@suse.de
- load usb modules and mount usbdevfs (#7037)
* Thu Apr 26 2001 - kkaempf@suse.de
- set hwclock option to "--localtime" instead of empty (#3907)
* Thu Apr 26 2001 - kkaempf@suse.de
- correctly check for have_smp and pae flag for k_psmp kernel (#7093)
- add requires for yast2-instsys (#7189)
* Wed Apr 25 2001 - fehr@suse.de
- removal of LVM volume group should now work
- Bugfix showing logging after installation (#7034)
- Deleting old kernel will be handled by rpm ( update )
- Setting textdomain for logging installation
* Wed Apr 25 2001 - tom@suse.de
- X11 configuration
  fixed bug 7193: now empty vendor results in "".
  set default refresh to 90 Hz due to XFree86 4 variations.
  removed test code and test logging.
* Wed Apr 25 2001 - schwab@suse.de
- Add doelilo for ia64.
* Wed Apr 25 2001 - kkaempf@suse.de
- disable kernel include copies
* Wed Apr 25 2001 - kkaempf@suse.de
- /boot on ia64 is `fat32, not `fat (#6599)
* Wed Apr 25 2001 - mike@suse.de
- new lvm helptexts
* Wed Apr 25 2001 - sh@suse.de
- Fixed bug #6947: Long time empty screen
  Added feedback what's happening to inst_finish.ycp
* Wed Apr 25 2001 - sh@suse.de
- Fixed X11 config: Add correct user_settings key to
  inst_choose_desktop.ycp
* Wed Apr 25 2001 - gs@suse.de
- use of common popups in update modules
* Wed Apr 25 2001 - kkaempf@suse.de
- read euro.ycp from proper dir
- remove duplicate popup
* Wed Apr 25 2001 - kkaempf@suse.de
- moved menu.ycp here (from yast2-menu)
* Tue Apr 24 2001 - tom@suse.de
- X11 configuration fixed
  restriction logic complete in first version
  merged suggestion logic with restriction logic
* Tue Apr 24 2001 - kkaempf@suse.de
- mount in lexical order
- updating k_deflt_24 to k_deflt
* Tue Apr 24 2001 - gs@suse.de
- Single Package Selction: popup to show the Obsolete dependencies has changed
* Tue Apr 24 2001 - tom@suse.de
- interim checkin for beta 2
- texts now final for translaters
- restriction logic partly implemented
* Tue Apr 24 2001 - kkaempf@suse.de
- fix COMPOSETABLE entry according to latest kdb package (#7023)
* Tue Apr 24 2001 - fehr@suse.de
- change layout of vuloume group dialog
- add help texts for lvm dialog
* Tue Apr 24 2001 - kkaempf@suse.de
- new list of language codes which allow "@euro" appended
- error popup in inst_rpmupdate removed BUG 6243
* Mon Apr 23 2001 - fehr@suse.de
- fixes and extensions for lvm configuration
* Mon Apr 23 2001 - kkaempf@suse.de
- append "@euro" instead of ".ISO8859-15" to RC_LANG
* Mon Apr 23 2001 - sh@suse.de
- Fix for bug #7013: Abort should be disabled
  Disable "Abort" button in inst_suseconfig.ycp
* Mon Apr 23 2001 - sh@suse.de
- Always use "Abort Installation" for button label, even on the
  first dialogs (before lang switch)
- Fix screen shot mode hint in inst_startup: Use correct popup
* Mon Apr 23 2001 - sh@suse.de
- Fixed check_ycp complaints in installation.ycp:
  Obsolete WFM functions
- Assume presence of floppy in test_mode so "write settings to
  floppy" button appears consistently (screen shots!)
* Mon Apr 23 2001 - sh@suse.de
- Used correct include path for custom_part_helptexts.ycp
  in custom_part_dialogs.ycp
* Mon Apr 23 2001 - sh@suse.de
- declared "hwclock" in inst_environment.ycp
* Mon Apr 23 2001 - kkaempf@suse.de
- set COMPOSETABLE in rc.config (#7023)
* Mon Apr 23 2001 - kkaempf@suse.de
- fix isnil check in installation.ycp
- inst_sw_update: Changes for new dependencies
- add requirements for yast2-instsys package
- remove /var/lib/YaST2/run_suseconfig after SuSEconfig
- replace all isnil() calls
* Fri Apr 20 2001 - tom@suse.de
  X11 configuration:
- added nvidia warning
- added change warning popup
- cleaned sequence of dialogs
- streamlined code
- fixed bug 7028: now text login when X11 configuration is skipped
- restriction logic when selecting resolution, color depth, or refresh
  is still missing
* Fri Apr 20 2001 - kkaempf@suse.de
- prepare standalone handling of keyboard and timezone selection
* Fri Apr 20 2001 - kkaempf@suse.de
- show username only if given (#7082)
* Fri Apr 20 2001 - kkaempf@suse.de
- switch "START_PORTMAP" back to "yes", must be fixed in kernel 2.4 by linus
- Update: Deleting old packages removed.
* Fri Apr 20 2001 - kkaempf@suse.de
- write bios ids to lilo.conf only on an ide/scsi mix system
* Fri Apr 20 2001 - gs@suse.de
- show set pay in dialog Pay Selection and groups tags in Single Selection
- popup displaying obsolete package dependencies added
* Fri Apr 20 2001 - fehr@suse.de
- fix some problems with lvm configuration
* Fri Apr 20 2001 - kkaempf@suse.de
- drop SEARCHLIST from rc.config (#7063)
* Thu Apr 19 2001 - kkaempf@suse.de
- X11 configuration fixes
  module loading fix
* Wed Apr 18 2001 - kkaempf@suse.de
- re-create tmpdir in continue_mode
* Wed Apr 18 2001 - kkaempf@suse.de
- add ".ISO8859-15" to RC_LANG where appropriate
* Wed Apr 18 2001 - kkaempf@suse.de
- provide correct "vga" entry to lilo.conf
* Wed Apr 18 2001 - kkaempf@suse.de
- use WarningPopup in installation.ycp
* Wed Apr 18 2001 - kkaempf@suse.de
- fixed x11 fontpathes
* Wed Apr 18 2001 - kkaempf@suse.de
- fix filelist for yast2-instsys
* Wed Apr 18 2001 - kkaempf@suse.de
- define "current_video" for x11 setting
* Wed Apr 18 2001 - kkaempf@suse.de
- set "YAST_ASK" values in rc.config (#6261)
* Tue Apr 17 2001 - kkaempf@suse.de
- check for serial console when configuring x11
* Tue Apr 17 2001 - fehr@suse.de
- allow formatting of lvm logical volumes
* Tue Apr 17 2001 - kkaempf@suse.de
- fix "have_x11" handling
* Tue Apr 17 2001 - gs@suse.de
- show package groups when entering the dialog
* Tue Apr 17 2001 - kkaempf@suse.de
- "START_PORTMAP" in rc.config defaults to "no" now (#6270)
* Tue Apr 17 2001 - kkaempf@suse.de
- dont ask for mouse on serial console (#6030)
* Tue Apr 17 2001 - kkaempf@suse.de
- dont ask for keyboard on serial console (#5939)
* Tue Apr 17 2001 - kkaempf@suse.de
- set linuxrc override language code from CD (#5249)
* Tue Apr 17 2001 - mike@suse.de
- new FEATURE: LVM setup is now possible
* Fri Apr 13 2001 - kendy@suse.cz
- inst_hw_config rewritten to use ui/summary.ycp include and
  to ask modules about the configured devices (or about the
  devices to configure) using calls of <module>_summary.ycp.
* Thu Apr 12 2001 - tom@suse.de
- X11 configuration
  Complete redesign involving heavy changes (mostly new code).
  o Split up functionality into modules and functions.
  o Providing testsuites for functions (nearly all of them still to be done)
  o Ask user if he wants to skip X11 configuration if "No X11" is selected
  in monitor selection dialog.
  o Now reading X11 font pathes dynamically (hardcoded up to now).
  o Better logic presenting resolution-colordepth-frequency dependencies.
  o Better logic providing the settings suggestion that user may accept.
  o New decision workflow in GUI (one more dialog).
  o Better handling of monitor refresh rate (user can choose one).
  o DPMS now supported in the XF86Config file to be created.
  o Now it is possible to go back to the original YaST2 monitor data base after
  having read a Microsoft compatible drivers disk.
  o Now a monitor that could be probed but is not known in the YaST2 monitor
  data base is automatically added to this data base (volatile, not in the
  data base file) if the monitor selection dialog is entered.
* Thu Apr 12 2001 - gs@suse.de
- respect new package dependencies for Single Package Selection
* Thu Apr 12 2001 - kkaempf@suse.de
- provide menuentry for vendor.ycp
* Thu Apr 12 2001 - sh@suse.de
- Migration to yast2-lib-wizard: Get rid of duplicate code,
  replace old style popups with new ones from common_popups.ycp
- Fixed lots of check_ycp complaints
* Thu Apr 12 2001 - kkaempf@suse.de
- adapt to FHS, /floppy, /cdrom, and /zip are below /media now
  provide compatibility symlinks
* Thu Apr 12 2001 - kkaempf@suse.de
- dont pass user_settings to SelectConsoleFont
* Tue Apr 10 2001 - kkaempf@suse.de
- do swap calculation based on detected main memory
* Fri Apr 06 2001 - kkaempf@suse.de
- ensure proper libGL link in YaST2.firstboot (# 6916)
* Thu Apr 05 2001 - kkaempf@suse.de
- kernel rpm rename, drop "_24" suffix
* Wed Apr 04 2001 - kkaempf@suse.de
- revert "switch_kernel" check, 2.4 is default now
* Wed Apr 04 2001 - kkaempf@suse.de
- separate show log defines from inst_suseconfig.ycp
* Tue Apr 03 2001 - kkaempf@suse.de
- add "yast2-agent-rcconfig" to Requires
* Tue Apr 03 2001 - kkaempf@suse.de
- remove need for global variables in installation.ycp
* Tue Apr 03 2001 - arvin@suse.de
- adapt calls to makefs-agent to new syntax
* Fri Mar 30 2001 - arvin@suse.de
- filelist correction for "yast2-instsys"
* Tue Mar 27 2001 - kkaempf@suse.de
- recode passwd comment to local encoding (#3798)
* Tue Mar 27 2001 - kkaempf@suse.de
- filelist correction for "yast2-instsys"
* Mon Mar 26 2001 - kkaempf@suse.de
- mark global defines as such
- require "yast2-core-pkginfo"
* Thu Mar 22 2001 - kkaempf@suse.de
- first round of check_ycp adaptions
* Thu Mar 22 2001 - kkaempf@suse.de
- merge 7.1 branch with CVS head
* Wed Mar 21 2001 - kkaempf@suse.de
- remove all "...|any" declarations
* Wed Mar 21 2001 - kkaempf@suse.de
- sub-package "yast2-instsys" for easier instsys creation.
* Thu Mar 15 2001 - mfabian@suse.de
- change ja_JP : "english" to ja_JP : "japanese" in lang2yast1.ycp
  YaST1 doesn't know "japanese" but this entry is also used for
  the package selection in YaST2.
* Fri Mar 09 2001 - kkaempf@suse.de
- recognize firewall cd
* Thu Mar 08 2001 - kkaempf@suse.de
- clean up neededforbuild
  add yast2-base, -core, and -agents to Requires
* Thu Mar 08 2001 - kkaempf@suse.de
- dont show "save to floppy" if no floppy present (#6634)
* Tue Mar 06 2001 - kkaempf@suse.de
- check for partition table overflow on BSD disks (#6614)
* Mon Mar 05 2001 - kkaempf@suse.de
- recognize arch_alpha during kernel selection (#6581)
- no kernel selection on IA64 (#6597)
* Mon Mar 05 2001 - kkaempf@suse.de
- compute last used partition for BSD partitions (# 6580)
* Tue Feb 27 2001 - gs@suse.de
- ppc_fix: eject CD works also if there are several CD devices
  (module package_utils.ycp)
* Fri Feb 23 2001 - mike@suse.de
- ppc_fix: more than 9 pdisk partitions, format hfs partition
* Fri Feb 23 2001 - mfabian@suse.de
- gs@suse.de fixed the syntax error I introduced in
  inst_finish.ycp. Sorry.
- powerpc kernel selection by gs@suse.de
* Fri Feb 23 2001 - kukuk@suse.de
- Reset kernel_is list for sparc64 and PPC [Bug #6489]
* Thu Feb 22 2001 - mfabian@suse.de
- fix from ms@suse.de:
  update fine tune scripts to work with the new
  saxtools package ( start xbound as background process )
* Thu Feb 22 2001 - mfabian@suse.de
- add entries for Korean and Japanese to lang2yast1.ycp
- workaround for Japanese: set RC_LANG. See also bug 5712.
* Wed Feb 21 2001 - snwint@suse.de
- remove /var/X11R6/bin/X link in YaST2.start
* Wed Feb 21 2001 - snwint@suse.de
- remove /var/X11R6/bin/X link in YaST2.start
* Wed Feb 21 2001 - snwint@suse.de
- accidentally removed x11 detection in YaST2.start (ppc only); fixed
* Wed Feb 21 2001 - kkaempf@suse.de
- only check lba_support on i386 (bug #6341)
* Tue Feb 20 2001 - snwint@suse.de
- accidentally removed x11 detection in YaST2.start (ppc only); fixed
* Mon Feb 19 2001 - kkaempf@suse.de
- dont refer to exact kernel version (bug #6403)
- treat primary partitions in BSD and FAT alike (bug #6394)
* Sat Feb 17 2001 - kukuk@suse.de
- Switch for all Sun Framebuffer driver from XFree86 4.0.2 into
  the sunfb module.
- dosilo: Rename label "linux.suse" into "suse"
* Wed Feb 14 2001 - snwint@suse.de
- no braille detection on ppc
* Fri Feb 09 2001 - sh@suse.de
- Re-imported monitor DB - now includes some more Sun monitors
* Wed Feb 07 2001 - sh@suse.de
- Fix for bug #6263: Language selection box loses keyboard focus
  Set focus to the selbox, now simply hitting "Return" doesn't
  proceed to the next dialog any more.
* Wed Feb 07 2001 - kkaempf@suse.de
- honor answer for "show logging"
* Wed Feb 07 2001 - kkaempf@suse.de
- remove USE_KERNEL_NFSD from rc.config (bug #6262)
* Tue Feb 06 2001 - kkaempf@suse.de
- fix partition check for BSD partitions (bug #6249)
* Tue Feb 06 2001 - kkaempf@suse.de
- fix kernel installation (2.2 and 2.4) for Sparc64 and PPC
* Sun Feb 04 2001 - kukuk@suse.de
- custom_part_check_generated.ycp: Fix second check for broken
  PROM version (1GB limit), too
* Sun Feb 04 2001 - kukuk@suse.de
- dosilo: add workaround for new mk_initrd return codes
* Fri Feb 02 2001 - kkaempf@suse.de
- added "lt_LT" : "Lithuania" to language selection
* Tue Jan 30 2001 - kkaempf@suse.de
- support live_eval_mode for LiveCD
* Mon Jan 29 2001 - kkaempf@suse.de
- fix /dev/NULL -> /dev/null (bug 6182)
- update sparc-kernel (schubi)
- call silo (schubi)
* Mon Jan 29 2001 - kkaempf@suse.de
- drop "id" (indonesia) from language list
* Mon Jan 29 2001 - kukuk@suse.de
- keyboard_raw.ycp: Fix dutch type5 keyboard description
* Sat Jan 27 2001 - kukuk@suse.de
- dosilo: Make it useable after installation
* Fri Jan 26 2001 - kkaempf@suse.de
- removed unneeded unimap settings for ISO-2 console fonts
- added ca_ES and gl_ES to consolefonts
* Thu Jan 25 2001 - mike@suse.de
- menulogo.png deleted, not needed anymore
* Wed Jan 24 2001 - kkaempf@suse.de
- enabled "ca_ES" (catalan) in language selection
* Tue Jan 23 2001 - kkaempf@suse.de
- dont check for graphics or mouse if serial console is active
* Tue Jan 23 2001 - kkaempf@suse.de
- write swap partition to global data
* Tue Jan 23 2001 - kkaempf@suse.de
- write proper data to /etc/yast.inf so linuxrc can swapoff
  and set language correctly
* Tue Jan 23 2001 - kkaempf@suse.de
- rename of update.tgz to update.tar.gz
* Mon Jan 22 2001 - kkaempf@suse.de
- fix for initial console message in YaST2.firstboot
* Mon Jan 22 2001 - kkaempf@suse.de
- pass root device to mk_initrd in chroot environment
* Mon Jan 22 2001 - mike@suse.de
- dumpe2fs with option -h to avoid enormous logging
* Mon Jan 22 2001 - sh@suse.de
- Re-imported monitor DB:
  10%% higher sync range for LCDs to compensate for -10%%
  safety decrease during X11 config
  + some new monitors
* Mon Jan 22 2001 - sh@suse.de
- V2.1.148
- New title graphics from <wimer@suse.de> that no longer are
  cut off to the right
* Sun Jan 21 2001 - schubi@suse.de
- update from 6.2 works
* Sun Jan 21 2001 - schubi@suse.de
- logging of dumpe2fs reduced, is important for update <6.3
* Sun Jan 21 2001 - schubi@suse.de
- new menu position (new logo) in lilo
* Sun Jan 21 2001 - schubi@suse.de
- Update although there are packages which need a manual selection
* Sat Jan 20 2001 - schubi@suse.de
- Warning to update manuell packages
- Made softboot while update
* Fri Jan 19 2001 - tom@suse.de
- Fixed bug #6012: Now restoring original partition state on `back
* Fri Jan 19 2001 - kukuk@suse.de
- Don't set defaultdepth in the moment for Sun Framebuffer
* Fri Jan 19 2001 - sh@suse.de
- V2.1.141
  updated monitor DB (fix for bug #5177: display DB outdated)
* Fri Jan 19 2001 - mike@suse.de
- bug fix 5016: custom partitioner sees a other OS
* Fri Jan 19 2001 - kkaempf@suse.de
- after update:
  properly merge initrd modules from linuxrc and hwinfo
  properly merge modules.conf settings
  properly set USB
  Changing installed kernels which are no longer supported.
  Writing Lilo on floppy while update and retry if an error
  has been occured
* Fri Jan 19 2001 - kkaempf@suse.de
- re-construct INITRD_MODULES after update to match current hardware
  and kernel.
* Fri Jan 19 2001 - kkaempf@suse.de
- write all data needed for re-start at end of first update
- properly initialize initrd modules at startup
- Bugfix 5880: shrinkable in table-widget removed ( inst_sw_single)
* Fri Jan 19 2001 - mike@suse.de
- bugfix 5857: Layout logging of installation
  bugfix 5933: Save and exit-button changed
  message in changeCD changed
* Thu Jan 18 2001 - kkaempf@suse.de
- dont configure X11 with serial console (bug 5951)
* Thu Jan 18 2001 - kkaempf@suse.de
- enable "korean"
- create extended part as "Win Ext LBA" if it starts above cyl 1024
* Thu Jan 18 2001 - tom@suse.de
- added functionality for emulate 3 buttons (Bug #5802)
* Thu Jan 18 2001 - sh@suse.de
- V2.1.131
- Added new column for encoding (ISO-8859-1 etc.) in consolefonts
  and changed the call to SetConsole() accordingly
* Thu Jan 18 2001 - kkaempf@suse.de
- alternative bugfix 5579 to write correct /var/lib/YaST/install.inf
- pass installMap correctly to inst_rpmcopy
* Thu Jan 18 2001 - kkaempf@suse.de
- read correct image to determine kernel version
* Wed Jan 17 2001 - kkaempf@suse.de
- fully implemented driver update feature
- fully implemented vendor driver CD feature with
  fallback to floppy
* Wed Jan 17 2001 - kkaempf@suse.de
- fix chroot call for driver update script (bug #5810)
* Wed Jan 17 2001 - schubi@suse.de
- not mounting partitions with the option noauto while update
* Tue Jan 16 2001 - kkaempf@suse.de
- correctly detect driver update (bug 5799)
* Tue Jan 16 2001 - kkaempf@suse.de
- replace "/mnt" to "/" instead of "" (bug 5512)
- fix syntax error in keymap2yast1 (bug 5782)
* Tue Jan 16 2001 - kkaempf@suse.de
- start/stop usbmgr before probing for printers
* Tue Jan 16 2001 - schubi@suse.de
- Checking dependencies and disk space while UPGRADE
* Mon Jan 15 2001 - schubi@suse.de
- calling GetInstSource at the beginning of the update
* Mon Jan 15 2001 - snwint@suse.de
- add memtest86 to lilo.conf
* Mon Jan 15 2001 - kkaempf@suse.de
- leave RC_LANG alone (bug 5712)
* Mon Jan 15 2001 - snwint@suse.de
- fixed Screen[vga] bug
* Mon Jan 15 2001 - sh@suse.de
- Fixed bug #5114: Title graphics too small
  Changed title graphics to much wider images (2000 pixels wide)
* Sun Jan 14 2001 - tom@suse.de
- Added comment as suggested by ke in bug #5484.
* Sun Jan 14 2001 - tom@suse.de
- Fixed Bug 5638: NVIDIA Warning now appears when enabling 3D acceleration.
* Sun Jan 14 2001 - kkaempf@suse.de
- show partitions being created or formatted (bug #5649)
* Sat Jan 13 2001 - kkaempf@suse.de
- write mtab to target (bug 5512)
- add comment for translators to log popups
* Sat Jan 13 2001 - kkaempf@suse.de
- correctly re-read installMap in continue_mode
* Sat Jan 13 2001 - kkaempf@suse.de
- disable kernel modprobe (bug #5639)
* Sat Jan 13 2001 - schubi@suse.de
- Calling SuSEConfig
- Writing installMap to user_settings
* Fri Jan 12 2001 - mike@suse.de
-  maximum of hda and sda devices changed
  changed message of error popup
* Fri Jan 12 2001 - sh@suse.de
- display only the first device of any kind (printer, sound card,
  modem/isdn card/net card) in inst_ask_config
* Fri Jan 12 2001 - kkaempf@suse.de
- dont leave LILO screen empty (bug 4942)
- user popup "not enough disk space " changed ( schubi )
* Fri Jan 12 2001 - kkaempf@suse.de
- pass full path to vendor install script
* Fri Jan 12 2001 - kkaempf@suse.de
- dont load modules in "manual" mode (bug #5575)
* Fri Jan 12 2001 - kukuk@suse.de
- inst_sunfb.ycp: Write glx modules into filelist for 3D fb cards
- Aborting installation after disk-space exhausted (schubi)
* Fri Jan 12 2001 - smueller@suse.de
- removed debug logging in autoinst modules
* Fri Jan 12 2001 - kkaempf@suse.de
- check for existance of kernels before access
* Fri Jan 12 2001 - kkaempf@suse.de
- provide check.boot in filelist
* Fri Jan 12 2001 - kkaempf@suse.de
- fix write of /var/lib/YaST/install.inf
* Thu Jan 11 2001 - kkaempf@suse.de
- implemented full functionality for vendor.ycp (vendor driver CD)
* Thu Jan 11 2001 - tom@suse.de
- Corrected wrong sync values in X configuration (#5539)
* Thu Jan 11 2001 - kkaempf@suse.de
- add vendor.ycp to filelist
- Installation from partition fixed Bugfix 5480
* Thu Jan 11 2001 - smueller@suse.de
- remember settings during autoinstall process
- user-logging added for non installed packages ( BUG ID 5417)
* Thu Jan 11 2001 - kukuk@suse.de
- YaST2.start: Sync mouse protocoll with template, change keyboard
  section to autoprobed results, too.
* Thu Jan 11 2001 - kkaempf@suse.de
- dont always copy kernel headers in inst_suseconfig (bug #5503)
* Thu Jan 11 2001 - kkaempf@suse.de
- use yast2's copy of install.inf in package_utils
* Thu Jan 11 2001 - kkaempf@suse.de
- write install.inf to installed system (for later use)
* Wed Jan 10 2001 - tom@suse.de
- Fixed bug #5461
  Fixed bug #5411 (schubi)
* Wed Jan 10 2001 - kkaempf@suse.de
- bugfix #5453
- bugfixes in ChangeCD ( schubi )
* Wed Jan 10 2001 - schubi@suse.de
- bugfix in spec-file
* Wed Jan 10 2001 - kukuk@suse.de
- inst_sunfb.ycp: Add XFree86 4.0 support for SPARC framebuffer
* Wed Jan 10 2001 - tom@suse.de
- switch off 32 bpp for XFree 4 config.
  correct partition handling in the "delete Windows" case
* Wed Jan 10 2001 - schubi@suse.de
- Booting from floppy with grafical-lilo works after update the
  system.
* Wed Jan 10 2001 - kukuk@suse.de
- dosilo: Use /proc/mounts instead of mount
- inst_config_x11.ycp: Add more Sun framebuffer cards for inst_sunfb
* Wed Jan 10 2001 - smueller@suse.de
- implemented disabling of SCR with dummyagent during config_mode
* Wed Jan 10 2001 - kkaempf@suse.de
- pass lba capability to lilo (bug #5418)
* Tue Jan 09 2001 - kkaempf@suse.de
- dont force usbcore on sparc (bug #5368)
* Tue Jan 09 2001 - kkaempf@suse.de
- write dummy install.inf before calling PKGINFO (bug 5361)
* Tue Jan 09 2001 - kkaempf@suse.de
- add usb mouse to manual selection list (bug #5355)
* Tue Jan 09 2001 - kkaempf@suse.de
- honor xkblayout if present (bug #5341)
* Tue Jan 09 2001 - kkaempf@suse.de
- do a hard reboot if user de-selects kernel 2.2 (bug #5344)
* Tue Jan 09 2001 - tom@suse.de
- replaced dosfsck with parted, added scandisk hint in resizer module
* Mon Jan 08 2001 - snwint@suse.de
- fixed (hopefully) quoting while reading install.inf
* Mon Jan 08 2001 - kkaempf@suse.de
- remove X11 link before init, yast2.firstboot will do this
* Mon Jan 08 2001 - snwint@suse.de
- set lilo timeout to 8s
* Mon Jan 08 2001 - kkaempf@suse.de
- dont use xfree86 3.x vga16 or fbdev server any more (bug 5214)
* Sun Jan 07 2001 - schubi@suse.de
- update from NFS with CD1,CD2...directories
* Sun Jan 07 2001 - tom@suse.de
- added nvidia warning in inst_config_x11.ycp
* Sun Jan 07 2001 - schubi@suse.de
- Rebooting after CD1 while updating the system
* Sat Jan 06 2001 - kkaempf@suse.de
- fill vendor CD update module with life
* Sat Jan 06 2001 - kkaempf@suse.de
- add missing "/boot" to path (bug 5268)
* Sat Jan 06 2001 - kkaempf@suse.de
- patch y2xr40 for FireGL 2/3
* Sat Jan 06 2001 - kkaempf@suse.de
- start X with PseudoColor if VGA(16) (bug #5243)
* Fri Jan 05 2001 - kkaempf@suse.de
- recognize request for 3DLabs server at startup
* Fri Jan 05 2001 - tom@suse.de
- resizer now handles extended partitions
* Thu Jan 04 2001 - kkaempf@suse.de
- treat part 3 on BSD as extended (e.g. spanning multiple partitions)
* Thu Jan 04 2001 - kkaempf@suse.de
- implement driver update functionality
* Thu Jan 04 2001 - schubi@suse.de
- Bugfix in installPackageInformation ( rm -F )
* Wed Jan 03 2001 - mike@suse.de
- bugfix Bug 2503 4390 detect used_fs
* Wed Jan 03 2001 - kkaempf@suse.de
- fix architecture variable handling
* Wed Jan 03 2001 - kkaempf@suse.de
- dont call xhost or su in /sbin/yast2, let susewm handle this
* Wed Jan 03 2001 - kkaempf@suse.de
- dont explain "default+office" on non-i386
* Tue Jan 02 2001 - tom@suse.de
- fixed bugs #4376 and #4849
* Tue Jan 02 2001 - schubi@suse.de
- call RPM-rebuild with Shell
* Tue Jan 02 2001 - kkaempf@suse.de
- fix lba support check
* Fri Dec 22 2000 - schubi@suse.de
- Bug fixes in kernel-installation
* Wed Dec 20 2000 - tom@suse.de
- corrected X11-3D setup
* Wed Dec 20 2000 - sh@suse.de
- Moved hw_setup_launcher.ycp from include to include/ui
- V2.1.58
* Wed Dec 20 2000 - kkaempf@suse.de
- add include/ui to filelist
* Tue Dec 19 2000 - schubi@suse.de
- kill pkginfo-server removed
* Tue Dec 19 2000 - kkaempf@suse.de
- dont resize Win2000 partitions, let M$ get their act together first
* Mon Dec 18 2000 - kkaempf@suse.de
- better determine version of installed kernel image
* Mon Dec 18 2000 - mike@suse.de
- Fixed Bug 4769
  reiserfs on /boot -> no warning
  check if bios supports lba -> no warning if boot-partition is >1024 cyl
* Sat Dec 16 2000 - schubi@suse.de
-  killing pkginfo while installation
  saving package-description into system
  bugixes in ChangeCD
  installation-logging for user improved
* Fri Dec 15 2000 - kkaempf@suse.de
- prepare for loading vendor-specific driver CDs
* Fri Dec 15 2000 - kkaempf@suse.de
- tell the partitioner about ia64
* Fri Dec 15 2000 - kkaempf@suse.de
- dont put usbdevs in /etc/fstab, usbmgr handles this now
* Thu Dec 14 2000 - kkaempf@suse.de
- usbdevfs is available for ppc now (bug #4694)
* Thu Dec 14 2000 - sh@suse.de
- Fixed bug #4633: Set keyboard focus in text field for package search
- Fixed bug #4632: Added popup for empty results for package search
- V2.1.48
* Thu Dec 14 2000 - kkaempf@suse.de
- activate /boot only if LILO is in MBR
* Wed Dec 13 2000 - schubi@suse.de
- runlevel switching removed, SuSEconfig handles this
* Wed Dec 13 2000 - kkaempf@suse.de
- correct path for kernel includes
* Wed Dec 13 2000 - kkaempf@suse.de
- mount ntfs partitions with umask=022
* Wed Dec 13 2000 - mike@suse.de
- yast2 now starts y2controlcenter
* Wed Dec 13 2000 - schubi@suse.de
- rpm-rebuild added
* Wed Dec 13 2000 - kkaempf@suse.de
- automatically use free space on disk only if it's enough
  for a default installation (w/o office)
* Wed Dec 13 2000 - kkaempf@suse.de
- create version correct include and depmods for all installed kernels
* Wed Dec 13 2000 - kkaempf@suse.de
- flush rc.config agent at end of x11 configuration
* Wed Dec 13 2000 - kkaempf@suse.de
- convert /sbin/init.d -> /etc/init.d in start scripts
* Tue Dec 12 2000 - kkaempf@suse.de
- enable VESA framebuffer in lilo if needed and system is capable
* Mon Dec 11 2000 - kkaempf@suse.de
- support Sun Type5/UK keyboard properly
* Mon Dec 11 2000 - mike@suse.de
- bugfix 4524 reiserfs partition now possible
* Mon Dec 11 2000 - kkaempf@suse.de
- force install usbcore to get usbdevfs
  run depmod for all installed kernels
  rm /etc/install.inf at end of continue_mode only
* Mon Dec 11 2000 - kkaempf@suse.de
- install kernel source configs for all installed kernels
* Sun Dec 10 2000 - schubi@suse.de
- update-mode in installation.ycp added
* Sun Dec 10 2000 - kkaempf@suse.de
- modprobe usbcore to mount usbdevfs
* Sun Dec 10 2000 - kkaempf@suse.de
- make appropriate mountpoints for cdrecorder, dvd, cdrom
  tell mk_lilo_conf about kernel 2.4 and initrd_24
* Sat Dec 09 2000 - kkaempf@suse.de
- adapt mk_lilo_conf to multiple kernels
* Sat Dec 09 2000 - kkaempf@suse.de
- activate kernel 2.4 installation
* Sat Dec 09 2000 - dan@suse.cz
- remove '/etc/install.inf' after inst_ask_config
* Fri Dec 08 2000 - mike@suse.de
- fixed bug in inst_custom test mode
* Fri Dec 08 2000 - arvin@suse.de
- fixed variable name in inst_ask_config.ycp
* Thu Dec 07 2000 - kkaempf@suse.de
- use () for each double-quote
  add "--enable-testsuite" to configure to do just this
  fix update mounts in respect to targetroot
* Thu Dec 07 2000 - kkaempf@suse.de
- fix typo in filename
* Thu Dec 07 2000 - kkaempf@suse.de
- fix mount calls in update
* Thu Dec 07 2000 - kkaempf@suse.de
- dont use double qouted symbols or term, use expressions
* Thu Dec 07 2000 - kkaempf@suse.de
- fix monitor selection
* Tue Dec 05 2000 - kkaempf@suse.de
- do graceful exit on resize errors
* Tue Dec 05 2000 - kkaempf@suse.de
- windows resizing enabled
* Mon Dec 04 2000 - kkaempf@suse.de
- gcc not needed, just gpp
  re-read settings in continue mode
  correct text for curses fallback
  adapt to splitted translation packages
* Mon Dec 04 2000 - kkaempf@suse.de
- strip auto_part_create to match requirements
* Sat Dec 02 2000 - kkaempf@suse.de
- move all UI related code for auto partitioner to auto_part_ui.ycp
* Sat Dec 02 2000 - kkaempf@suse.de
- split up inst_target_part to support testing and
  re-use code for partition resizer
* Fri Dec 01 2000 - arvin@suse.de
- If either the x server could not be started or the computer
  has to less memory, ncurses interface is started and a message
  is displayed to inform the user. (Fix for bug #4272)
* Thu Nov 30 2000 - arvin@suse.de
- unmount agent instsource after use
* Wed Nov 29 2000 - kkaempf@suse.de
- force flush of rc.config agent
* Wed Nov 29 2000 - kkaempf@suse.de
- respect data from setup/descr/info
* Tue Nov 28 2000 - kkaempf@suse.de
- adopt to fixed Y2_TARGET_ROOT handling of target agent
* Tue Nov 21 2000 - kkaempf@suse.de
- dont refer to k_laptop any more
* Mon Nov 20 2000 - kkaempf@suse.de
- make use of target agent
* Fri Nov 17 2000 - kkaempf@suse.de
- use proper agents
* Fri Nov 17 2000 - kkaempf@suse.de
- drop y2t_inst from requires
* Thu Nov 09 2000 - kkaempf@suse.de
- update workflow integrated
  general code cleanup
  workflow for product cd integrated
* Fri Nov 03 2000 - kkaempf@suse.de
- merge with ppc and s390 branch
* Mon Oct 23 2000 - kkaempf@suse.de
- disable .dumpto calls in inst_finish
  version 2.0.71
* Thu Oct 19 2000 - mike@suse.de
- s390 fixes
  version 2.0.77
* Wed Oct 18 2000 - choeger@suse.de
- added product cd detection
* Wed Oct 18 2000 - choeger@suse.de
- changed the color of the lilo menu to green
* Wed Oct 18 2000 - kkaempf@suse.de
- allow back from imap to lan at end of installation
  version 2.0.70
* Fri Oct 13 2000 - kkaempf@suse.de
- also recognize /dev/cciss/... as raid device
  same in mk_lilo_conf
  version 2.0.69
* Thu Oct 05 2000 - mike@suse.de
- fixed Makefile
  version 2.0.76
* Thu Oct 05 2000 - mike@suse.de
- s390 support
  version 2.0.75
* Thu Sep 28 2000 - choeger@suse.de
- workflow for imap server cd implemented
  version 2.0.68
* Tue Sep 26 2000 - kkaempf@suse.de
- add '-p' to all mkdir calls
- fix alpha custom partition
- probe floppies for ZIP (IDE Zips report as floppy, not disk)
  version 2.0.74
* Fri Sep 22 2000 - mike@suse.de
- ppc: limit boot region to 4MB if possible
  version 2.0.73
* Fri Sep 08 2000 - mike@suse.de
- ppc fixes (no msdos floppy needed, warning if on prep/chrp /boot
  is missing, first root login string beautified)
  version 2.0.72
* Mon Aug 28 2000 - kkaempf@suse.de
- create mountpoints for installation with mkdir -p
  usbdevfs is available for ppc now
  version 2.0.71
* Wed Aug 23 2000 - kkaempf@suse.de
- new keyboard defines for ppc
  special yast1 keyboard handling for ppc/macs
  version 2.0.70
* Tue Aug 22 2000 - kkaempf@suse.de
- ignore more Apple partition names
  version 2.0.69
* Thu Aug 17 2000 - mike@suse.de
- check for a corrupt partition table (partition magic 5.0 can corrupt the
  partition tabe)
  version 2.0.67
* Tue Aug 08 2000 - mike@suse.de
- enhancement fpr SPARC AXP and PPC
  version 2.0.68
* Mon Aug 07 2000 - kkaempf@suse.de
- set GMT to "-u" on sparc
  check for dos/windows/nt partitions on i386 architectures only
  version 2.0.67
* Wed Aug 02 2000 - kkaempf@suse.de
- remove /etc/install.inf at end of installation
  version 2.0.66
* Fri Jul 28 2000 - kkaempf@suse.de
- default to 640x480 if DDC string does not contain frequency values
  dont select highest monitor resol, most monitors lie about this
  version 2.0.65
* Wed Jul 26 2000 - kkaempf@suse.de
- fix x11 keyboard handling for sparc
  fix YaST2 startup for XFree86 4.0
  require y2t_inst in specfile
  clean up /tmp
  version 2.0.64
* Tue Jul 25 2000 - kkaempf@suse.de
- call package module in live_eval_mode to get x11 server data
  set have_x11=true in live_eval_mode
  version 2.0.63
* Mon Jul 24 2000 - kkaempf@suse.de
- bumped to 2.0.62 due to checkin clash
* Mon Jul 24 2000 - kkaempf@suse.de
- always allow 640x480 as selectable resolution
  use unicode font at runtime
  pass module name to "su -c"
  better -probeonly parsing from x11 server
  version 2.0.61
* Mon Jul 24 2000 - kkaempf@suse.de
- always close each opened dialog (bug 3611)
  version 2.0.60
* Fri Jul 21 2000 - gs@suse.de
- added portuguese, delete brasil
  version 2.0.59
* Thu Jul 20 2000 - kkaempf@suse.de
- enter all supported video modes to xf86config
  reboot if VGA16 is selected (clash with fbdev)
  check for x server alias existance befor using
  version 2.0.58
* Wed Jul 19 2000 - gs@suse.de
- condition of warnig popup in package post install mode changed
  version 2.0.57
* Tue Jul 18 2000 - kkaempf@suse.de
- take VGA16 as default X11 server for unknown graphic cards
  version 2.0.56
* Tue Jul 18 2000 - kkaempf@suse.de
- fix x11 server selection bug (3d/non-3d)
  version 2.0.55
* Mon Jul 17 2000 - kkaempf@suse.de
- restrict vsync to 100khz
  correctly construct video data
  version 2.0.54
* Mon Jul 17 2000 - kkaempf@suse.de
- sparc port: SILO workflow added
  version 2.0.53
* Mon Jul 17 2000 - kkaempf@suse.de
- only mount floppy if present (bug #3410)
  version 2.0.52
* Mon Jul 17 2000 - kkaempf@suse.de
- always install vga16 and fbdev
  force reboot if laptop kernel was installed
  version 2.0.51
* Sun Jul 16 2000 - kkaempf@suse.de
- pass x11 options to isax
  fix czech keyboard
  allow X4 fbdev if the user asked for it
  version 2.0.50
* Sat Jul 15 2000 - kkaempf@suse.de
- remove bogus help, fix typos
  version 2.0.49
* Sat Jul 15 2000 - kkaempf@suse.de
- never use nv/nvidia
  never use 4.0 fbdev
  version 2.0.48
* Fri Jul 14 2000 - kkaempf@suse.de
- fixed custom installer
  decrease space safety threshold
  version 2.0.47
* Fri Jul 14 2000 - kkaempf@suse.de
- fixed linear lilo bug
  fixed passing bios drivecodes to lilo
  version 2.0.46
* Fri Jul 14 2000 - tom@suse.de
- added y2merge.pl
  version 2.0.45
* Fri Jul 14 2000 - kkaempf@suse.de
- added client component password (bug #3403)
  version 2.0.44
* Thu Jul 13 2000 - kkaempf@suse.de
- fix voodoo handling
  fix nfs install
  version 2.0.43
* Thu Jul 13 2000 - kkaempf@suse.de
- remove mk_initrd, now in aaa_base
  version 2.0.42
* Wed Jul 12 2000 - kkaempf@suse.de
- remove cmdline copy (libhd kludge)
* Wed Jul 12 2000 - kkaempf@suse.de
- fix for free space immediately before empty extended part.
  version 2.0.41
* Wed Jul 12 2000 - kkaempf@suse.de
- special handling for voodoo1/2 add-on cards
  version 2.0.40
* Wed Jul 12 2000 - kkaempf@suse.de
- sparc patches
  version 2.0.39
* Tue Jul 11 2000 - kkaempf@suse.de
- fix space requirements calculation (new du.dir)
  remember if hard-boot is needed (smp, pcmcia)
  version 2.0.38
* Tue Jul 11 2000 - kkaempf@suse.de
- fix X11 start bug
  version 2.0.37
* Tue Jul 11 2000 - kkaempf@suse.de
- restart network after hard reboot
  version 2.0.36
* Tue Jul 11 2000 - kkaempf@suse.de
- dont offer zip drives for installation
  add /zip mountpoint to fstab
  version 2.0.35
* Tue Jul 11 2000 - kkaempf@suse.de
- re-read partitions after custom partitioning
  version 2.0.34
* Tue Jul 11 2000 - kkaempf@suse.de
- fix x11 start
  eject cdroms on ppc
  version 2.0.33
* Mon Jul 10 2000 - kkaempf@suse.de
- fix raid support
  version 2.0.32
* Fri Jul 07 2000 - @suse.de
- fix pdisk read for ppc
  fix parport ZIP init
  version 2.0.31
* Fri Jul 07 2000 - kkaempf@suse.de
- fix system probing for PPC
  version 2.0.29
* Fri Jul 07 2000 - kkaempf@suse.de
- fix NFS install from sub-dirs per CD
  version 2.0.28
* Tue Jul 04 2000 - kkaempf@suse.de
- fix dolilo activate partition (snwint@suse.de)
  version 2.0.27
* Tue Jul 04 2000 - kkaempf@suse.de
- support new dolilo options
  version 2.0.26
* Tue Jul 04 2000 - kkaempf@suse.de
- allow module as argument to "yast2" script
  activate /boot partition in mk_lilo_conf
  version 2.0.25
* Tue Jul 04 2000 - kkaempf@suse.de
- handle systems without mouse correctly
  version 2.0.24
* Mon Jul 03 2000 - kkaempf@suse.de
- dont Include() translatable strings
  version 2.0.23
* Thu Jun 29 2000 - kkaempf@suse.de
- remove noarch
  fixed copying of XF86Config
  version 2.0.22
* Wed Jun 28 2000 - kkaempf@suse.de
- correct monitor database to reflect documentation
  version 2.0.21
* Wed Jun 28 2000 - kkaempf@suse.de
- remove FROM_HEADER from sendmail.rc.config
* Wed Jun 28 2000 - kkaempf@suse.de
- fix sync range handling, decrease max values by 10%%
  version 2.0.19
* Wed Jun 28 2000 - kkaempf@suse.de
- added comments and sparc support to keyboard_raw.ycp
  version 2.0.18
* Wed Jun 28 2000 - kkaempf@suse.de
- fixed wrong handling of xkbdprotocol
* Wed Jun 28 2000 - kkaempf@suse.de
- add x11 config setup tools for XFree86 4.0
  version 2.0.17
* Wed Jun 28 2000 - kkaempf@suse.de
- dont change consolefont for blinux
  version 2.0.16
* Wed Jun 28 2000 - kkaempf@suse.de
- fix monitor probing
* Wed Jun 28 2000 - kkaempf@suse.de
- add blinux support
  version 2.0.15
* Wed Jun 28 2000 - kkaempf@suse.de
- select and install correct kernel for sun4u architecture
* Wed Jun 28 2000 - kkaempf@suse.de
- fixed XFree86 4.0 startup to prevent sig11
  version 2.0.14
* Wed Jun 28 2000 - kkaempf@suse.de
- new XFree86 4.0, re-enable SetLanguage and SetKeyboard
  version 2.0.13
* Mon Jun 26 2000 - kkaempf@suse.de
- new title graphics
  version 2.0.12
* Mon Jun 19 2000 - kkaempf@suse.de
- correct xf86config
  use binaries from saxtools package
  version 2.0.11
* Fri Jun 16 2000 - kkaempf@suse.de
- make symlink for /usr/X11R6/bin/X (not in xf86 package any more)
  version 2.0.10
* Fri Jun 16 2000 - kkaempf@suse.de
- back out workarounds for aaa_base bugs
  version 2.0.9
* Fri Jun 09 2000 - kkaempf@suse.de
- start using ag_shell and Include()
  version 2.0.8
* Fri Jun 09 2000 - kkaempf@suse.de
- .probe adaptions, no more "byclass" probing
  corrected inst_ask_config
  version 2.0.7
* Thu Jun 08 2000 - kkaempf@suse.de
- scripts fixed for XFree86 4.0
  SetLanguage disabled for continue_mode
  version 2.0.6
* Thu Jun 08 2000 - kkaempf@suse.de
- set LD_LIBRARY_PATH
  version 2.0.5
* Thu Jun 08 2000 - kkaempf@suse.de
- fixed driver lookup
  added initrd scripts
  version 2.0.4
* Thu Jun 08 2000 - kkaempf@suse.de
- added dolilo
  version 2.0.3
* Wed Jun 07 2000 - kkaempf@suse.de
- .ycp are not executable
  use XFree86 3.3.x on startup
* Tue Jun 06 2000 - kkaempf@suse.de
- syntax change for makefs/makereiserfs/packager clients
* Wed May 31 2000 - kkaempf@suse.de
- allow for optional translation of timezone list
* Tue May 30 2000 - kkaempf@suse.de
- allow for optional translation of keyboard and mouse list
* Wed May 24 2000 - kkaempf@suse.de
- merge ppc changes
  new abort dialogue
  adapt to new .probe paths
* Tue May 23 2000 - kkaempf@suse.de
- backport sparc changes from old yast2
* Fri May 19 2000 - kkaempf@suse.de
- add data files for x11 configuration
* Fri May 19 2000 - kkaempf@suse.de
- add start scripts for yast2
* Wed May 17 2000 - kkaempf@suse.de
- Initial version based on SuSE 6.4 (i386)
